<?php
namespace App\Controllers;

class Department extends BaseController{

    public function __construct()  
    { 
        $this->db = \Config\Database::connect(); 
          
    } 


public function create_department() {
   $department=$this->request->getpost('Department_Name');
   $shortcutName=$this->request->getpost('Shortcut_Name');
//   $fund_name=$this->request->getpost('Fund_Name');
   $Head_of_account=$this->request->getpost('header_of_account');
   $Remarks=$this->request->getpost('Remarks');
   $created_at=date('y-m-d H-i-s');
   $created_by = session()->get('username');



$data=['department_name'=>$department,
'shortcut_name'=>$shortcutName,
// 'fund_name'=>$fund_name,
'head_of_account'=>$Head_of_account,
'remarks'=>$Remarks,
'created_at'=>$created_at,
'created_by'=>$created_by
];

    $file = $this->request->getFile('file');
    if ($file && $file->isValid() && !$file->hasMoved()) {
      
        $newName = $file->getRandomName();
        $file->move(ROOTPATH . 'public/departmentLogo', $newName);
        
       
        $data['department_logo'] = $newName;
    }


try {
    $builder=$this->db->table('department');
    if($builder->insert($data)){

        return $this->response->setJSON(['result'=>1,'message'=>'create project successfully']);
    }else{

        return $this->response->setJSON(['result'=>0,'message'=>'failed create project']);
    }

}catch(\Exception $e){
    return $this->response->setJSON(['result' => 0, 'message' => $e->getMessage()]);
}
    

}


public function department_list_data() {
    try {
        
        $builder = $this->db->table('department');
        $builder->orderBy('created_at', 'DESC');
        $query = $builder->get();

        $data = $query->getResult();

        if ($data) {
            return $this->response->setJSON($data);
        } else {
            return $this->response->setJSON(['result' => 0, 'message' => 'Failed to load data']);
        }
    } catch (\Exception $e) {
      
        return $this->response->setJSON(['result' => 0, 'message' => $e->getMessage()]);
    }
}



public function department_delete($id){
    try {
        $builder = $this->db->table('department');
        $builder->where('id', $id);
        if ($builder->delete()) {
            return $this->response->setJSON(['result' => 1, 'message' => 'department deleted successfully']);
        } else {
            return $this->response->setJSON(['result' => 0, 'message' => 'Failed to delete department']);
        }
    } catch (\Exception $e) {
        return $this->response->setJSON(['result' => 0, 'message' => $e->getMessage()]);
    } 
}

public function edit_department_data($id)
{
    try {
      
        $builder = $this->db->table('department');
        $builder->where('id', $id);
        $query = $builder->get();
        $data = $query->getResult();

        
        $builder = $this->db->table('department');
        $allDepartmentsQuery = $builder->get();
        $allDepartments = $allDepartmentsQuery->getResult();

        if ($data) {
            return $this->response->setJSON([
                'result' => 1,
                'data' => $data,
                'departments' => $allDepartments 
            ]);
        } else {
            return $this->response->setJSON(['result' => 0, 'message' => 'No data found']);
        }
    } catch (\Exception $e) {
        return $this->response->setJSON(['result' => 0, 'message' => $e->getMessage()]);
    }
}

public function update_department()
{
 
    $department = $this->request->getPost('department_model');
    $id = $this->request->getPost('id');
    $shortcutName = $this->request->getPost('shortcut_model');
    $Head_of_account = $this->request->getPost('header_of_account');
    $Remarks = $this->request->getPost('remarks_model');
    $created_at = date('Y-m-d H:i:s');
    $created_by = session()->get('username');

   
    $data = [
        'department_name' => $department,
        'shortcut_name' => $shortcutName,
        'head_of_account' => $Head_of_account,
        'remarks' => $Remarks,
        'created_at' => $created_at,
        'created_by' => $created_by
    ];

    $file = $this->request->getFile('file');
    if ($file && $file->isValid() && !$file->hasMoved()) {
      
        $newName = $file->getRandomName();
        $file->move(ROOTPATH . 'public/departmentLogo', $newName);
        
       
        $data['department_logo'] = $newName;
    }

   
    $builder = $this->db->table('department');
    $builder->where('id', $id);
    $update = $builder->update($data);

   
    if ($update) {
        return $this->response->setJSON(['result' => 1, 'message' => 'Department updated successfully']);
    } else {
        return $this->response->setJSON(['result' => 0, 'message' => 'Failed to update department']);
    }
}




public function status_create(){
    $status=$this->request->getpost('status');

      $data=[
       'status'=>$status,
     ];

try {
     $builder=$this->db->table('status_master');
    if($builder->insert($data)){

     return $this->response->setJSON(['result'=>1,'message'=>'status created successfully']);
    }else{

        return $this->response->setJSON(['result'=>0,'message'=>'failed create project']);
    }

}catch(\Exception $e){
    return $this->response->setJSON(['result' => 0, 'message' => $e->getMessage()]);
}
      
}



public function fetch_status(){
        $db = \Config\Database::connect();
    $builder = $db->table('status_master'); 
    $builder->select('id ,status,status_name'); 
    $query = $builder->get();
    $status = $query->getResultArray();

    if ($status) {
        return $this->response->setJSON($status);
    } else {
        return $this->response->setJSON(['result' => 0, 'message' => 'No status found']);
    }
    
}


public function create_fund(){
        $department=$this->request->getpost('department');
        $fund_name=$this->request->getpost('Fund_Name');

      $data=[
      'department'=>$department,
      'fund_name'=>$fund_name
     ];

try {
     $builder=$this->db->table('fund_master');
    if($builder->insert($data)){

     return $this->response->setJSON(['result'=>1,'message'=>'status created successfully']);
    }else{

        return $this->response->setJSON(['result'=>0,'message'=>'failed create project']);
    }

}catch(\Exception $e){
    return $this->response->setJSON(['result' => 0, 'message' => $e->getMessage()]);
}

    
}

public function fetch_constituency(){
    
            $db = \Config\Database::connect();
    $builder = $db->table('constituency'); 
    $builder->select('id ,constituency_name'); 
    $query = $builder->get();
    $constituency = $query->getResultArray();

    if ($constituency) {
        return $this->response->setJSON($constituency);
    } else {
        return $this->response->setJSON(['result' => 0, 'message' => 'No constituency found']);
    }
    
}
public function fund_list_data(){
    
  $db = \Config\Database::connect();
  $builder=$db->table('fund_master');
  $builder->select('fund_master.*,department.department_name');
   $builder->join('department', 'department.id = fund_master.department', 'left'); 
  $query = $builder->get();
  $funds = $query->getResultArray();
     if ( $funds) {
        return $this->response->setJSON($funds);
    } else {
        return $this->response->setJSON(['result' => 0, 'message' => 'No funds found']);
    }
}

public function fetch_funds(){
    
            $db = \Config\Database::connect();
    $builder = $db->table('fund_master'); 
    $builder->select('id ,fund_name'); 
    $query = $builder->get();
    $fund = $query->getResultArray();

    if ($fund) {
        return $this->response->setJSON($fund);
    } else {
        return $this->response->setJSON(['result' => 0, 'message' => 'No constituency found']);
    }
    
}


public function fund_delete($id){
    try {
        $builder = $this->db->table('fund_master');
        $builder->where('id', $id);
        if ($builder->delete()) {
            return $this->response->setJSON(['result' => 1, 'message' => 'fund deleted successfully']);
        } else {
            return $this->response->setJSON(['result' => 0, 'message' => 'Failed to delete fund']);
        }
    } catch (\Exception $e) {
        return $this->response->setJSON(['result' => 0, 'message' => $e->getMessage()]);
    } 
}

public function fetch_mla(){
    $db = \Config\Database::connect();
$builder = $db->table('constituency_master'); 
$builder->select('id ,mla'); 
$query = $builder->get();
$mla = $query->getResultArray();

if ($mla) {
    return $this->response->setJSON($mla);
} else {
    return $this->response->setJSON(['result' => 0, 'message' => 'No status found']);
}
}

public function edit_fund_data($id)
{
    try {
        $builder = $this->db->table('fund_master');
        $builder->where('id', $id);
        $query = $builder->get();
        $data = $query->getResult();

        
        $builder = $this->db->table('department');
        $allDepartmentsQuery = $builder->get();
        $allDepartments = $allDepartmentsQuery->getResult();

        if ($data) {
            return $this->response->setJSON([
                'result' => 1,
                'data' => $data,
                'departments' => $allDepartments 
            ]);
        } else {
            return $this->response->setJSON(['result' => 0, 'message' => 'No data found']);
        }
    } catch (\Exception $e) {
        return $this->response->setJSON(['result' => 0, 'message' => $e->getMessage()]);
    }
}

public function update_fund()
{
 
    $department = $this->request->getPost('department_model');
    $id = $this->request->getPost('id');
    $fundName = $this->request->getPost('fund_model');
    $created_at = date('Y-m-d H:i:s');
    $created_by = session()->get('username');

   
    $data = [
        'department' => $department,
        'fund_name' => $fundName,
        'created_at' => $created_at,
        'created_by' => $created_by
    ];


   
    $builder = $this->db->table('fund_master');
    $builder->where('id', $id);
    $update = $builder->update($data);

   
    if ($update) {
        return $this->response->setJSON(['result' => 1, 'message' => 'fund updated successfully']);
    } else {
        return $this->response->setJSON(['result' => 0, 'message' => 'Failed to update fund']);
    }
}

public function constituency_list_data(){
    
  $db = \Config\Database::connect();
  $builder=$db->table('constituency_master');
  $builder->select('constituency_master.*,constituency.constituency_name');
   $builder->join('constituency', 'constituency.id = constituency_master.constituency_name', 'left'); 
  $query = $builder->get();
  $funds = $query->getResultArray();
     if ( $funds) {
        return $this->response->setJSON($funds);
    } else {
        return $this->response->setJSON(['result' => 0, 'message' => 'No constituency found']);
    }
}

public function constituency_master_delete($id){
    try {
        $builder = $this->db->table('constituency_master');
        $builder->where('id', $id);
        if ($builder->delete()) {
            return $this->response->setJSON(['result' => 1, 'message' => 'deleted successfully']);
        } else {
            return $this->response->setJSON(['result' => 0, 'message' => 'Failed to delete ']);
        }
    } catch (\Exception $e) {
        return $this->response->setJSON(['result' => 0, 'message' => $e->getMessage()]);
    } 
}
public function constituency_master_edit($id){
        try {
        $builder = $this->db->table('constituency_master');
        $builder->where('id', $id);
        $query = $builder->get();
        $data = $query->getResult();

        
        $builder = $this->db->table('constituency');
        $allConstituencyQuery = $builder->get();
        $allConstituency = $allConstituencyQuery->getResult();

        if ($data) {
            return $this->response->setJSON([
                'result' => 1,
                'data' => $data,
                'constituency' => $allConstituency 
            ]);
        } else {
            return $this->response->setJSON(['result' => 0, 'message' => 'No data found']);
        }
    } catch (\Exception $e) {
        return $this->response->setJSON(['result' => 0, 'message' => $e->getMessage()]);
    }
}




public function update_constituency_master()
{
 
    $constituency = $this->request->getPost('constituency_model');
    $id = $this->request->getPost('id');
    $mla = $this->request->getPost('mla_model');
    $created_at = date('Y-m-d H:i:s');
    $created_by = session()->get('username');

   
    $data = [
        'constituency_name' => $constituency,
        'mla' => $mla,
        'created_at' => $created_at,
        'created_by' => $created_by
    ];


   
    $builder = $this->db->table('constituency_master');
    $builder->where('id', $id);
    $update = $builder->update($data);

   
    if ($update) {
        return $this->response->setJSON(['result' => 1, 'message' => 'updated successfully']);
    } else {
        return $this->response->setJSON(['result' => 0, 'message' => 'Failed to update ']);
    }
}













}
?>