<?php echo view('includes/sidebar'); ?>
<script type="text/javascript" src="<?php echo base_url('public/assets/js/jquery-3.6.0.min.js'); ?>"></script>
<script src="<?php echo base_url('public/assets/toastr/toastr.min.js');?>"></script>
<link rel="stylesheet" href="<?php echo base_url('public/assets/toastr/toastr.min.css');?>">
<link rel="stylesheet" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
<script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/2.5.1/jspdf.umd.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/html2canvas/1.4.1/html2canvas.min.js"></script>
<!-- Include DataTables CSS -->
<link rel="stylesheet" href="https://cdn.datatables.net/1.13.6/css/jquery.dataTables.min.css">

<!-- Include jQuery -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<!-- Include DataTables JS -->
<script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.min.js"></script>


<style>
    /* Styling for the table */
    table {
        width: 100%;
        border-collapse: collapse;
        text-align: left;
    }

    th,
    td {
        padding: 10px;
        border: 1px solid #ddd;
    }

    th {
        background-color: #f4f4f4;
        font-weight: bold;
       
    }

    tr:nth-child(even) {
        background-color: #f9f9f9;
    }

    /* Make the table scrollable horizontally */
    .table-container {
        width: 100%;
        overflow-x: auto;
    }

    /* Styling for totals and grand total row */
    .total-row {
        font-weight: bold;
        background-color: #e0e0e0;
    }


    .heading {
        text-align: center;
        font-size: 22px;
        margin-left: -150px;
        font-weight: bold;
        color: #4B0B0B;
        /*border:none !important;*/
    }

    .fieldsbox {
        width: 93%
    }

    /* Additional styles for responsive view */
    @media screen and (max-width: 768px) {

        th,
        td {
            font-size: 14px;
            padding: 8px;
        }

        .total-row th,
        .total-row td {
            font-size: 14px;
            padding: 8px;
        }

        .fieldsbox {
            width: 100%
        }
    }



    .table-container th {
        position: sticky;
        top: 0;
        background-color: #f4f4f4;
        z-index: 2;
         padding-bottom:30px;
    }

    #reportTable {
        width: 30%;

    }

    #reportTable,
    th,
    td {
        border-collapse: collapse;

    }

    #reportTable td {
        padding: 0px 10px;
        border: 1px solid black;

    }

    #reportTable th {
        padding: 0px 10px;
        border: 1px solid black;

    }

    #reportTable .width {
        padding: 0px 50px;
    }
</style>

<section class="home-section fullpage"> 
    <div class="home-content">
        <i class='bx bx-menu'></i>
        <!-- <span class="text">Drop Down Sidebar</span> -->
    </div>
    <div class="row m-0">
        <div class="col-sm-12">
            <h1 class="crt-pjt">Reports</h1>
        </div>
    </div>
    <form id="report">
        <div class="row m-0">
            <div class="constuency_page">
                <div class="constuencydetails">

                    <!-- 1st row  -->
                    <div class="constuencydetail row">
                        <div class="col-sm-4">
                            <label for="constituency" class="form-label inpfieldname">Constituency Name</label>
                            <select class="form-select form-control fieldsbox" id="constituency" name="constituency">
                                <option value=""></option>
                            </select>
                        </div>
                        <div class="col-sm-4">
                            <label for="mla" class="form-label inpfieldname">MLA/ MLC/MP</label>
                            <select class="form-select form-control fieldsbox" id="mla" name="mla">
                                <option value=""></option>
                            </select>
                        </div>
                        <div class="col-sm-4">
                            <label for="department" class="form-label inpfieldname">Department</label>
                            <select class="form-select form-control fieldsbox" id="department" name="department">
                                <option value=""></option>
                            </select>
                        </div>

                        <!--    <div class="col-sm-2">-->
                        <!--    <label for="Taluk" class="form-label inpfieldname">Taluk</label><br>-->
                        <!--    <select class="form-select form-control fieldsbox" aria-label="Default select example"-->
                        <!--        id="Taluk"  name="taluk" required>-->
                        <!--        <option value="">Select</option>-->
                        <!--        <option value="Mysore Urban">Mysore Urban</option>-->
                        <!--        <option value="Mysore rural">Mysore Rural</option>-->
                        <!--        <option value="T Narasipura">T Narasipura</option>-->
                        <!--        <option value="T Narasipura">Nanjanagud</option>-->
                        <!--        <option value="H D kote">H D Kote</option>-->
                        <!--        <option value="Varuna">Varuna</option>-->
                        <!--        <option value="PeeriyaPatna">PeeriyaPatna</option>-->
                        <!--        <option value="Hunsur">Hunsuru</option>-->
                        <!--        <option value="K R Nagara">K R Nagara</option>-->
                        <!--        <option value="Sarguru">Sarguru</option>-->
                        <!--        <option value="Saligrama">Saligrama</option>-->
                        <!--    </select>-->
                        <!--</div>-->
                    </div>

                    <!-- ---------------------2nd row -------------------- -->
                    <div class="constuencydetail row">
                        <div class="col-sm-4">
                            <label for="year" class="form-label inpfieldname">Financial Year</label>
                            <select class="form-select form-control fieldsbox" id="year" name="year">
                                <option value="">Select</option>
                                
                                <option value="2028-29">2028-29</option>
                                <option value="2027-28">2027-28</option>
                                <option value="2026-27">2026-27</option>
                                <option value="2025-26">2025-26</option>
                                <option value="2024-25">2024-25</option>
                                <option value="2023-24">2023-24</option>
                                <option value="2022-23">2022-23</option>
                                <option value="2021-22">2021-22</option>
                                <option value="2020-21">2020-21</option>
                                <option value="2019-20">2019-20</option>
                                <option value="2018-19">2018-19</option>
                                <option value="2017-18">2017-18</option>
                                <option value="2016-17">2016-17</option>
                            </select>
                        </div>
                        <div class="col-sm-4">
                            <label for="Apm" class="form-label inpfieldname">APM</label><br>
                            <select class="form-select form-control fieldsbox" aria-label="Default select example"
                                id="apm" name="apm">
                                <option value=""></option>
                            </select>
                        </div>
                        <div class="col-sm-4">
                            <label for="engineer" class="form-label inpfieldname">Engineer</label><br>
                            <select class="form-select form-control fieldsbox" aria-label="Default select example"
                                id="Engineer" name="engineer">
                                <option value=""></option>
                            </select>
                        </div>
                    </div>
                     <div class="constuencydetail row">
                        <div class="col-sm-4">
                            <label for="engineer" class="form-label inpfieldname">Fund Wise</label><br>
                            <select class="form-select form-control fieldsbox" aria-label="Default select example"
                                id="Fund"  name="fund">
                                <option value=""></option>
                            </select>
                        </div>
                </div>
                </div>
            </div>

            <div class="col-sm-6 buttns-cnl">
                <button type="submit" class="submit" style="width:200px">Get Report</button>
            </div>
        </div>
    </form>

    <!-- Table -->
    <div class="container mt-4">
        <button id="printBtn" class="btn btn-primary">Print</button>
        <div class="table-container" id="reportContainer">

            <table class="table mt-3" id="reportTable" class="display">

                <thead>
                    <tr>
                        <td colspan="13" class="heading">Mysore Nirmithi kendra</td>
                        <br>
                    </tr>
                    <tr>
                  <td colspan="13" style="text-align:center"><span id="yearchange"></span>  ಸಾಲಿನಲ್ಲಿ  ಕೈಗೊಳ್ಳುತ್ತಿರುವ ಕಾಮಗಾರಿಗಳ   ಘೊ ಷ್ವಾರೆ(ಸೆಪ್ಟೆಂಬರ ಅಂತ್ಯಕ್ಕೆ ೨೦೨೪)      </td>
                    </tr>
                    <tr>
                        <th>SL NO</th>
                        <th class="width">Department and Taluk</th>
                        <th>Number</th>
                        <th>Estimated Amount</th>
                        <th>previous year released Amount</th>
                        <th>Present year released Amount</th>
                        <th>Release Amount</th>
                        <th>Expenditure</th>
                        <th colspan="4">Work Stage</th>
                        <th>Page No</th>
                    </tr>
                    <tr>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td colspan="5"> Rupees in Lakhs </td>
                        <th>Progress</th>
                        <th>Not Started</th>
                         <th>Physically Completed</th>
                         <th>Financially Completed</th>
                        <td></td>
                    </tr>
                    <!-- <tr>
                <td></td>
                <td id="constituencyHeader"></td>
                <td id="projectNameHeader" colspan="12" style="text-align:center"></td>
            </tr> -->
                </thead>
                <tbody id="reportTableBody">
                    <!-- Dynamic rows will be appended here -->
                </tbody>

            </table>
        </div>

    </div>

    </div>
<script>
$(document).ready(function () {
    // Function to fetch and display the report
    function fetchReport(formData = null) {
        $.ajax({
            url: "<?php echo base_url('get_report'); ?>",
            type: 'POST',
            data: formData ? formData : {},
            processData: formData ? false : true,
            contentType: formData ? false : 'application/x-www-form-urlencoded; charset=UTF-8',
            dataType: 'json',
            success: function (response) {
                if (response.result === 1) {
                    $('#reportTableBody').empty();

                    // Reset overall totals
                    let grandTotal = {
                        totalOverall: 0,
                        totalReleaseOverall: 0,
                        totalExpenseOverall: 0,
                        totalPreviousOverall: 0,
                        totalPresentOverall: 0,
                        notStartedOverall: 0,
                        workingInProgressOverall: 0,
                        physicallycompletedOverall: 0,
                        financiallycompletedOverall: 0,
                        totalSerialValue: 0
                    };
                    let serialCounter = 1;
                    let totalsByDepartment = {};

                    // Loop through the projects to accumulate department-wise totals
                    $.each(response.table, function (index, project) {
                        let amount = parseFloat(project.Total_amount) || 0;
                        let previous_year_released = parseFloat(project.previous_year_released) || 0;
                        let present_year_released = parseFloat(project.present_year_released) || 0;
                        let releaseAmount =previous_year_released + present_year_released;
                        let expenses = parseFloat(project.total_expenditure) || 0;
                        let workingStage = project.status || '';
                        let serialNumberValue = parseInt(project.sl_no) || 0;
                        let departmentName = project.department_name;
                        let financialYear = project.financial_year;
                        let fundType = project.fund_name || '';

                        // Initialize totalsByDepartment structure
                        if (!totalsByDepartment[departmentName]) {
                            totalsByDepartment[departmentName] = {};
                        }
                        if (!totalsByDepartment[departmentName][financialYear]) {
                            totalsByDepartment[departmentName][financialYear] = {};
                        }
                        if (!totalsByDepartment[departmentName][financialYear][fundType]) {
                            totalsByDepartment[departmentName][financialYear][fundType] = {
                                totalAmount: 0,
                                totalPreviousReleased: 0,
                                totalPresentReleased: 0,
                                totalReleasedAmount: 0,
                                totalExpenses: 0,
                                notStarted: 0,
                                workingInProgress: 0,
                                physically: 0,
                                financially: 0,
                                serialNumberValue: 0
                            };
                        }

                        // Accumulate data for department, financial year, and fund type
                        let totals = totalsByDepartment[departmentName][financialYear][fundType];
                        totals.totalAmount += amount;
                        totals.totalPreviousReleased += previous_year_released;
                        totals.totalPresentReleased += present_year_released;
                        totals.totalReleasedAmount += releaseAmount;
                        totals.totalExpenses += expenses;
                        totals.serialNumberValue += serialNumberValue;

                        // Update project status counts
                        if (workingStage === '3') {
                            totals.physically++;
                            grandTotal.physicallycompletedOverall++;
                        } else if (workingStage === '4') {
                            totals.financially++;
                            grandTotal.financiallycompletedOverall++;
                        } else if (workingStage === '1') {
                            totals.workingInProgress++;
                            grandTotal.workingInProgressOverall++;
                        } else if (workingStage === '2') {
                            totals.notStarted++;
                            grandTotal.notStartedOverall++;
                        }

                        // Update grand totals
                        grandTotal.totalOverall += amount;
                        grandTotal.totalReleaseOverall += releaseAmount;
                        grandTotal.totalExpenseOverall += expenses;
                        grandTotal.totalPreviousOverall += previous_year_released;
                        grandTotal.totalPresentOverall += present_year_released;
                        grandTotal.totalSerialValue += serialNumberValue;
                    });

                    // Build the report table
                    $.each(totalsByDepartment, function (departmentName, financialYears) {
                        $('#reportTableBody').append(`<tr><td>${serialCounter++}</td><td colspan="13"><strong>${departmentName}</strong></td></tr>`);

                        // Initialize department total object
                        let departmentTotal = {
                            totalAmount: 0,
                            totalPreviousReleased: 0,
                            totalPresentReleased: 0,
                            totalReleasedAmount: 0,
                            totalExpenses: 0,
                            notStarted: 0,
                            workingInProgress: 0,
                            physically: 0,
                            financially: 0,
                            totalSerialValue: 0
                        };

                        $.each(financialYears, function (financialYear, fundTypes) {
                            $('#reportTableBody').append(`<tr><td colspan="13" style="text-align:center;"><strong>${financialYear}</strong></td></tr>`);

                            // Initialize yearTotals here
                            let yearTotals = {
                                totalAmount: 0,
                                totalPreviousReleased: 0,
                                totalPresentReleased: 0,
                                totalReleasedAmount: 0,
                                totalExpenses: 0,
                                workingInProgress: 0,
                                physically: 0,
                                financially: 0,
                                notStarted: 0,
                                totalSerialValue: 0
                            };

                            $.each(fundTypes, function (fundType, totals) {
                                $('#reportTableBody').append(`
                                    <tr>
                                        <td></td>
                                        <td>${fundType}</td>
                                        <td>${totals.serialNumberValue}</td>
                                        <td>${totals.totalAmount.toFixed(2)}</td>
                                        <td>${totals.totalPreviousReleased.toFixed(2)}</td>
                                        <td>${totals.totalPresentReleased.toFixed(2)}</td>
                                        <td>${totals.totalReleasedAmount.toFixed(2)}</td>
                                        <td>${totals.totalExpenses.toFixed(2)}</td>
                                        <td>${totals.notStarted}</td>
                                        <td>${totals.workingInProgress}</td>
                                        <td>${totals.physically}</td>
                                        <td>${totals.financially}</td>
                                        <td></td> <!-- Placeholder for page number -->
                                    </tr>
                                `);

                                // Accumulate yearly totals for this department and financial year
                                yearTotals.totalAmount += totals.totalAmount;
                                yearTotals.totalPreviousReleased += totals.totalPreviousReleased;
                                yearTotals.totalPresentReleased += totals.totalPresentReleased;
                                yearTotals.totalReleasedAmount += totals.totalReleasedAmount;
                                yearTotals.totalExpenses += totals.totalExpenses;
                                yearTotals.notStarted += totals.notStarted;
                                yearTotals.workingInProgress += totals.workingInProgress;
                                yearTotals.physically += totals.physically;
                                yearTotals.financially += totals.financially;
                                yearTotals.totalSerialValue += totals.serialNumberValue;

                                // Accumulate department totals
                                departmentTotal.totalAmount += totals.totalAmount;
                                departmentTotal.totalPreviousReleased += totals.totalPreviousReleased;
                                departmentTotal.totalPresentReleased += totals.totalPresentReleased;
                                departmentTotal.totalReleasedAmount += totals.totalReleasedAmount;
                                departmentTotal.totalExpenses += totals.totalExpenses;
                                departmentTotal.notStarted += totals.notStarted;
                                departmentTotal.workingInProgress += totals.workingInProgress;
                                departmentTotal.physically += totals.physically;
                                departmentTotal.financially += totals.financially;
                                departmentTotal.totalSerialValue += totals.serialNumberValue;
                            });

                            // Append department's yearly totals row
                            $('#reportTableBody').append(`
                                <tr style="font-weight: bold; background-color: #f0f0f0;">
                                    <td></td>
                                    <td><strong>Yearly Total</strong></td>
                                    <td>${yearTotals.totalSerialValue}</td>
                                    <td>${yearTotals.totalAmount.toFixed(2)}</td>
                                    <td>${yearTotals.totalPreviousReleased.toFixed(2)}</td>
                                    <td>${yearTotals.totalPresentReleased.toFixed(2)}</td>
                                    <td>${yearTotals.totalReleasedAmount.toFixed(2)}</td>
                                    <td>${yearTotals.totalExpenses.toFixed(2)}</td>
                                    <td>${yearTotals.notStarted}</td>
                                    <td>${yearTotals.workingInProgress}</td>
                                    <td>${yearTotals.physically}</td>
                                    <td>${yearTotals.financially}</td>
                                    <td></td>
                                </tr>
                            `);
                        });

                        // Add department total row after all fund types for that department
                        $('#reportTableBody').append(`
                            <tr style="font-weight: bold; background-color: #d0d0f0;">
                                <td colspan="2">Department Total</td>
                                <td>${departmentTotal.totalSerialValue}</td>
                                <td>${departmentTotal.totalAmount.toFixed(2)}</td>
                                <td>${departmentTotal.totalPreviousReleased.toFixed(2)}</td>
                                <td>${departmentTotal.totalPresentReleased.toFixed(2)}</td>
                                <td>${departmentTotal.totalReleasedAmount.toFixed(2)}</td>
                                <td>${departmentTotal.totalExpenses.toFixed(2)}</td>
                                <td>${departmentTotal.notStarted}</td>
                                <td>${departmentTotal.workingInProgress}</td>
                                <td>${departmentTotal.physically}</td>
                                <td>${departmentTotal.financially}</td>
                                <td></td>
                            </tr>
                        `);
                    });

                    // Append overall grand total row at the end of the report
                    $('#reportTableBody').append(`
                        <tr style="font-weight: bold; background-color: #d0ffd0;">
                            <td colspan="2">Grand Total</td>
                            <td>${grandTotal.totalSerialValue}</td>
                            <td>${grandTotal.totalOverall.toFixed(2)}</td>
                            <td>${grandTotal.totalPreviousOverall.toFixed(2)}</td>
                            <td>${grandTotal.totalPresentOverall.toFixed(2)}</td>
                            <td>${grandTotal.totalReleaseOverall.toFixed(2)}</td>
                            <td>${grandTotal.totalExpenseOverall.toFixed(2)}</td>
                            <td>${grandTotal.notStartedOverall}</td>
                            <td>${grandTotal.workingInProgressOverall}</td>
                            <td>${grandTotal.physicallycompletedOverall}</td>
                            <td>${grandTotal.financiallycompletedOverall}</td>
                            <td></td>
                        </tr>
                    `);

                    // Show total count of records
                    $('#totalCount').text('Total Records: ' + response.table.length);
                } else {
                    // Handle case where no data is returned
                    $('#reportTableBody').empty().append('<tr><td colspan="14">No records found.</td></tr>');
                    $('#totalCount').text('Total Records: 0');
                }
            },
            error: function (xhr, status, error) {
                console.error("AJAX error: ", error);
            }
        });
    }

    // Initial fetch of report data
    fetchReport();

            $('#report').submit(function (e) {
                e.preventDefault();

                var formData = new FormData(this);

                fetchReport(formData);
            });
                // Print functionality
        $('#printBtn').click(function() {
            printReport();
        });

        function printReport() {
            // Create a new window
            const printWindow = window.open('', '_blank');
            const reportContent = $('#reportContainer').html(); // Get the HTML of the report

            printWindow.document.write(`
                <html>
                    <head>
                        <title>Report</title>
                        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
                                <style>
                            body { font-family: Arial, sans-serif; margin:0 5px !important; }
                            .heading { font-size: 20px; font-weight: bold; text-align: center; margin-bottom: 20px; }
                            table { width: 100%; border-collapse: collapse; }
                            th, td { padding:2px 2px !important; text-align:center; border:1px solid black; }
                            th {padding:0px 2px !important; }
                            .width{padding:0px 30px !important; } 
                         
                           </style>
                    </head>
                    <body>
                        <div class="container mt-4 ml-1 ">
                         
                            <div class="table-container">${reportContent}</div>
                        </div>
                    </body>
                </html>
            `);

            printWindow.document.close(); // Close the document to complete the rendering
            printWindow.onload = function() {
                printWindow.print(); // Trigger print when the document is fully loaded
                printWindow.close(); // Close the print window after printing
            };
        }
       });
   
    </script>



































   <script>
        $(document).ready(function() {
            
            const currentYear = new Date().getFullYear();
            const fiscalYear = `${currentYear}-${currentYear + 1}`; 

           
            if (!$('#year').val()) {
                $('#yearchange').text(fiscalYear); 
            }

           
           $('#year').change(function() {
                const selectedYear = $(this).val();
                // const fiscalSelectedYear = `${selectedYear}-${parseInt(selectedYear) + 1}`;
                const fiscalSelectedYear = `${selectedYear}`;
                $('#yearchange').text(fiscalSelectedYear);
            });
        });
    </script>













    <script>
        let arrow = document.querySelectorAll(".arrow");
        for (var i = 0; i < arrow.length; i++) {
            arrow[i].addEventListener("click", (e) => {
                let arrowParent = e.target.parentElement.parentElement;
                arrowParent.classList.toggle("showMenu");
            });
        }
        let sidebar = document.querySelector(".sidebar");
        let sidebarBtn = document.querySelector(".bx-menu");
        console.log(sidebarBtn);
        sidebarBtn.addEventListener("click", () => {
            sidebar.classList.toggle("close");
        });
    </script>

    <script>
        $(document).ready(function () {

            $.ajax({
                url: '<?php echo base_url("fetch-constituency"); ?>',
                method: 'GET',
                success: function (response) {
                    if (response.length > 0) {
                        var options = '<option value="">Select Constituency</option>';
                        $.each(response, function (key, value) {
                            options += `<option value="${value.id}">${value.constituency_name}</option>`;
                        });
                        $('#constituency').html(options);
                    } else {
                        console.log('No constituency found');
                    }
                },
                error: function (xhr, status, error) {
                    console.error("Error fetching constituency:", error);
                }
            });
        });
    </script>

    <script>
        $(document).ready(function () {

            $.ajax({
                url: '<?php echo base_url("fetch-department"); ?>',
                method: 'GET',
                success: function (response) {

                    if (response.length > 0) {
                        var options = '<option value="">Select Department</option>';

                        $.each(response, function (key, value) {
                            options += `<option value="${value.id}">${value.department_name}</option>`;
                        });
                        $('#department').html(options);
                    } else {
                        console.log('No department found');
                    }
                },
                error: function (xhr, status, error) {
                    console.error("Error fetching department:", error);
                }
            });
        });

    </script>

    <script>
        $(document).ready(function () {

            $.ajax({
                url: '<?php echo base_url("fetch-mla"); ?>',
                method: 'GET',
                success: function (response) {
                    if (response.length > 0) {
                        var options = '<option value="">Select </option>';
                        $.each(response, function (key, value) {
                            options += `<option value="${value.id}">${value.mla}</option>`;
                        });
                        $('#mla').html(options);
                    } else {
                        console.log('No mla found');
                    }
                },
                error: function (xhr, status, error) {
                    console.error("Error fetching mla:", error);
                }
            });
        });
    </script>


    <script>
        $(document).ready(function () {

            $.ajax({
                url: '<?php echo base_url("fetch-apm"); ?>',
                method: 'GET',
                success: function (response) {

                    if (response.length > 0) {
                        var options = '<option value="">Select APM</option>';

                        $.each(response, function (key, value) {
                            options += `<option value="${value.id}">${value.username}</option>`;
                        });
                        $('#apm').html(options);
                    } else {
                        console.log('No apm found');
                    }
                },
                error: function (xhr, status, error) {
                    console.error("Error fetching apm:", error);
                }
            });
        });
    </script>

    <script>
        $(document).ready(function () {

            $.ajax({
                url: '<?php echo base_url("fetch-engineer"); ?>',
                method: 'GET',
                success: function (response) {

                    if (response.length > 0) {
                        var options = '<option value="">Select Engineer</option>';

                        $.each(response, function (key, value) {
                            options += `<option value="${value.id}">${value.username}</option>`;
                        });
                        $('#Engineer').html(options);
                    } else {
                        console.log('No Engineer found');
                    }
                },
                error: function (xhr, status, error) {
                    console.error("Error fetching engineer:", error);
                }
            });
        });

    </script>
    
    <script>
    $(document).ready(function () {
   
    $.ajax({
        url: '<?php echo base_url("fetch-fund"); ?>', 
        method: 'GET',
        success: function (response) {
          
            if (response.length > 0) {
                var options = '<option value="">Select fund</option>'; 
               
                $.each(response, function (key, value) {
                    options += `<option value="${value.id}">${value.fund_name}</option>`;
                });
                $('#Fund').html(options); 
            } else {
               console.log('No fund found');
            }
        },
        error: function (xhr, status, error) {
            console.error("Error fund engineer:", error);
        }
    });
});

</script>
    <?php echo view('includes/footer'); ?>