<?php echo view('includes/sidebar'); ?>
<script type="text/javascript" src="<?php echo base_url('public/assets/js/jquery-3.6.0.min.js'); ?>"></script>
<script src="<?php echo base_url('public/assets/toastr/toastr.min.js');?>"></script>
<link rel="stylesheet" href="<?php echo base_url('public/assets/toastr/toastr.min.css');?>">
<link rel="stylesheet" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
<script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/2.5.1/jspdf.umd.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/html2canvas/1.4.1/html2canvas.min.js"></script>



<style>

    table {
        width: 90%;
        border-collapse: collapse;
        text-align: left;
    }

    th, td {
        padding:0 5px;
        border: 1px solid #ddd;
    }

    th {
        background-color: #f4f4f4;
        font-weight: bold;
    }

    tr:nth-child(even) {
        background-color: #f9f9f9;
    }


    .table-container {
        width: 100%;
        overflow-x: auto; 
        overflow-y: auto; 
    }

    /* Styling for totals and grand total row */
    .total-row {
        font-weight: bold;
        background-color: #e0e0e0;
    }

    
    h4{
      text-align:center;
        font-size:20px;
        margin-bottom:30px;
     margin-left:-150px;
        font-weight:bold;
        color:#4B0B0B;
    }

    .fieldsbox{
            width:93%;
        }
    /* Additional styles for responsive view */
    @media screen and (max-width: 768px) {
        th, td {
            font-size: 14px;
            padding: 8px;
        }

        .total-row th, .total-row td {
            font-size: 14px;
            padding: 8px;
        }
        .fieldsbox{
            width:100%;
        }
    }

    /* Table header fixed while scrolling */
    .table-container th {
        position: sticky;
        top: 0;
        background-color: #f4f4f4;
        z-index: 2;
    }
#reportTable{
    width:30%;
      overflow-y: auto;
    max-height: 400px;
    
  
}
#reportTable, th, td {
  border-collapse: collapse;

 
}
#reportTable td{
padding:0 5px;
border: 1px solid black;

}
#reportTable th{
padding:0 5px;

border: 1px solid black;

}

#reportTable .width{
   padding:0px 200px !important;
}

/*#reportTable .reduced-width{*/
/*      padding:0px 0px !important;*/

    
    
/*}*/
  .heading{
      text-align:center;
        font-size:22px;
      margin-left:-150px;
        font-weight:bold;
        color:#4B0B0B;
        /*border:none !important;*/
    }
</style>

<section class="home-section fullpage">
    <div class="home-content">
        <i class='bx bx-menu'></i>
        <!-- <span class="text">Drop Down Sidebar</span> -->
    </div>
    <div class="row m-0">
        <div class="col-sm-12">
            <h1 class="crt-pjt">Reports</h1>
        </div>
    </div>
    <form id="report">
    <div class="row m-0">
        <div class="constuency_page"> 
            <div class="constuencydetails">
                <!-- ----------------------------1st  row------------------------------------------  -->
                
                <div class="constuencydetail row">
                    <div class="col-sm-4">
                        <label for="constituency" class="form-label inpfieldname">Constituency Name</label>
                        <select class="form-select form-control fieldsbox" id="constituency" name="constituency">
                            <option value=""></option>
                        </select>
                    </div>
                    <div class="col-sm-4">
                        <label for="mla" class="form-label inpfieldname">MLA/ MLC/MP</label>
                        <select class="form-select form-control fieldsbox" id="mla" name="mla">
                            <option value=""></option>
                        </select>
                    </div>
                    <div class="col-sm-4">
                        <label for="department" class="form-label inpfieldname">Department</label>
                        <select class="form-select form-control fieldsbox" id="department" name="department">
                            <option value=""></option>
                        </select>
                    </div>
                </div>



                <!-- ----------------------------2nd row------------------------------------------  -->
                <div class="constuencydetail row">
                
                    <div class="col-sm-4">
                        <label for="year" class="form-label inpfieldname">Financial Year</label>
                        <select class="form-select form-control fieldsbox" id="year" name="year">
                        <option value="">Select</option>
                       
                        <option value="2028-29">2028-29</option>
                        <option value="2027-28">2027-28</option>
                        <option value="2026-27">2026-27</option>
                        <option value="2025-26">2025-26</option>
                        <option value="2024-25">2024-25</option>
                        <option value="2023-24">2023-24</option>
                        <option value="2022-23">2022-23</option>
                        <option value="2021-22">2021-22</option>
                        <option value="2020-21">2020-21</option>
                        <option value="2019-20">2019-20</option>
                        <option value="2018-19">2018-19</option>
                        <option value="2017-18">2017-18</option>
                        <option value="2016-17">2016-17</option>
                        </select>
                    </div>
                    <div class="col-sm-4">
                            <label for="Apm" class="form-label inpfieldname">APM</label><br>
                            <select class="form-select form-control fieldsbox" aria-label="Default select example"
                                id="apm"  name="apm">
                                <option value=""></option>
                            </select>
                        </div>
                        <div class="col-sm-4">
                            <label for="engineer" class="form-label inpfieldname">Engineer</label><br>
                            <select class="form-select form-control fieldsbox" aria-label="Default select example"
                                id="Engineer"  name="engineer">
                                <option value=""></option>
                            </select>
                        </div>
                     </div>
                 <div class="constuencydetail row">
                        <div class="col-sm-4">
                            <label for="engineer" class="form-label inpfieldname">Fund Wise</label><br>
                            <select class="form-select form-control fieldsbox" aria-label="Default select example"
                                id="Fund"  name="fund">
                                <option value=""></option>
                            </select>
                        </div>
                   <div class="col-sm-4">
                        <label for="engineer" class="form-label inpfieldname">Date</label><br>
                       <input type="date" class="form-control fieldsbox" id="date" name="date" onchange="updateYearChange()">
                   </div>
                </div>
            </div>
        </div>

        <div class="col-sm-6 buttns-cnl">
            <button type="submit" class="submit" style="width:200px">Get Report</button>
        </div>
    </div>
</form>

<!-- Table -->
<div class="container mt-4">
<button id="printBtn" class="btn btn-primary">Print</button>
<div class="table-container" id="reportContainer">
<table class="table mt-3" id="reportTable">
    <thead>
        <tr>
           <td colspan="13" class="heading">Mysore Nirmithi kendra</td>
         </tr>
        <tr>
         <td colspan="13" style="text-align:center">
          <span id="yearchange"></span> ಸಾಲಿನಲ್ಲಿ ಕೈಗೊಳ್ಳುತ್ತಿರುವ ಕಾಮಗಾರಿಗಳ ಘೋಷ್ವಾರ<span id="monthChange"></span></td>
          </tr>
        <tr>
            <th></th>
            <th class="project-column width">Work Details</th>
            <th class="reduced-width">Number</th>
            <th class="reduced-width">Total Amount</th>
            <th class="reduced-width">Previous Year Released Amount</th>
            <th class="reduced-width">Present Year Released Amount</th>
            <th class="reduced-width">Release Amount</th>
            <th class="reduced-width">Expenses</th>
             <th colspan="4" class="reduced-width" >Work Stage</th>
            <th class="reduced-width width">Remarks</th>
        </tr>
        <tr>
            <td></td>
            <td></td>
            <td></td>
            <td colspan="5">Lakhs in Rupees</td>
            <th>Not Started</th>
            <th>Progress</th>
            <th>Physically completed</th>
            <th>Financially completed</th>
     
            <td></td>
        </tr>
    </thead>
    <tbody id="reportTableBody">
        <!-- Dynamic rows will be appended here -->
    </tbody>
</table>

</div>
</div>

</div>
<script>
$(document).ready(function () {
    function fetchReport(formData = null) {
        // Reset the report data and totals
        $('#reportTableBody').empty();
        $('#totalAmount').text('0');
        $('#totalReleaseAmount').text('0');
        $('#totalExpenses').text('0');
        $('#notStartedCount').text('0');
        $('#workingInProgressCount').text('0');
        $('#physicallyCount').text('0');
        $('#financiallyCount').text('0');
        $('#totalSlNo').text('0');
        $('#totalPresentYearRelease').text('0');
        $('#totalPreviousYearRelease').text('0');

        let ajaxOptions = {
            url: "<?php echo base_url('get_report'); ?>",
            type: 'POST',
            dataType: 'json',
            success: function (response) {
                console.log(response);

                if (response.result === 1) {
                    let departmentGroups = {};

                    // Group data by department, constituency, financial year, and funds
                    $.each(response.table, function (index, row) {
                        const departmentName = row.department_name;
                        const currentConstituencyName = row.constituency_name;
                        const financialYear = row.financial_year;
                       const funds = row.fund_name ? row.fund_name : '';


                        if (!departmentGroups[departmentName]) {
                            departmentGroups[departmentName] = {};
                        }

                        if (!departmentGroups[departmentName][currentConstituencyName]) {
                            departmentGroups[departmentName][currentConstituencyName] = {};
                        }

                        if (!departmentGroups[departmentName][currentConstituencyName][financialYear]) {
                            departmentGroups[departmentName][currentConstituencyName][financialYear] = {};
                        }

                        if (!departmentGroups[departmentName][currentConstituencyName][financialYear][funds]) {
                            departmentGroups[departmentName][currentConstituencyName][financialYear][funds] = [];
                        }

                        departmentGroups[departmentName][currentConstituencyName][financialYear][funds].push(row);
                    });

                    let totalOverall = 0, totalReleaseOverall = 0, totalExpenseOverall = 0;
                    let presentYearTotalReleaseOverall = 0, previousYearTotalReleaseOverall = 0;
                    let workingInProgressOverall = 0, physicallyOverall = 0,financiallyOverall=0;  notStartedOverall = 0;
                    let totalSlNoOverall = 0;

                    // Loop through each department
                    $.each(departmentGroups, function (departmentName, constituencies) {
                        let departmentHeader = `
                            <tr>
                                <td colspan="15" style="text-align:center"><strong>${departmentName}</strong></td>
                            </tr>
                        `;
                        $('#reportTableBody').append(departmentHeader);

                        // Loop through each constituency
                        $.each(constituencies, function (currentConstituencyName, financialYears) {
                            let constituencyRow = `
                                <tr>
                                    <td colspan="15" style="text-align:left !important; background-color:#f2f2f2;"><strong>${currentConstituencyName}</strong></td>
                                </tr>
                            `;
                            $('#reportTableBody').append(constituencyRow);

                            // Loop through each financial year
                            $.each(financialYears, function (financialYear, fundsData) {
                                let financialYearRow = `
                                    <tr>
                                        <td colspan="15" style="text-align:center !important;"><strong> ${financialYear}</strong></td>
                                    </tr>
                                `;
                                $('#reportTableBody').append(financialYearRow);

                                // Loop through each fund type
                                $.each(fundsData, function (funds, projects) {
                                    let fundRow = `
                                        <tr>
                                            <td colspan="15" style="text-align:left !important;"><strong> ${funds}</strong></td>
                                        </tr>
                                    `;
                                    $('#reportTableBody').append(fundRow);

                                    let total = 0, totalRelease = 0, totalExpense = 0;
                                    let presentYearTotalRelease = 0, previousYearTotalRelease = 0;
                                    let workingInProgressCount = 0, physicallyCount = 0,financiallyCount=0, notStartedCount = 0;
                                    let totalSlNo = 0;

                                    // Loop through projects
                                    $.each(projects, function (index, project) {
                                        let amount = parseFloat(project.Total_amount) || 0;
                                        let previousYearReleased = parseFloat(project.previous_year_released) || 0;
                                        let presentYearReleased = parseFloat(project.present_year_released) || 0;
                                        let releaseAmount = previousYearReleased + presentYearReleased ;
                                        let expenses = parseFloat(project.total_expenditure) || 0;
                                        let slNo = parseInt(project.sl_no) || 0;
                                        let workingStage = project.status ? project.status.toLowerCase() : null;

                                        if (workingStage === '3') {
                                            physicallyCount++;
                                        }else if(workingStage === '4'){
                                             financiallyCount++;
                                        } else if (workingStage === '1') {
                                            workingInProgressCount++;
                                        } else if (workingStage === '2') {
                                            notStartedCount++;
                                        }

                                        let newRow = `
                                            <tr>
                                                <td>${index + 1}</td>
                                                <td>${project.project_name}</td>
                                                <td>${slNo}</td>
                                                <td>${amount.toFixed(2)}</td>
                                                <td>${previousYearReleased.toFixed(2)}</td>
                                                <td>${presentYearReleased.toFixed(2)}</td>
                                                <td>${releaseAmount.toFixed(2)}</td>
                                                <td>${expenses.toFixed(2)}</td>
                                                <td>${notStartedCount}</td>
                                                <td>${workingInProgressCount}</td>
                                                <td>${physicallyCount}</td>
                                                <td>${financiallyCount}</td>
                                                <td>${project.remarks}</td>
                                            </tr>
                                        `;
                                        $('#reportTableBody').append(newRow);

                                        total += amount;
                                        totalRelease += releaseAmount;
                                        totalExpense += expenses;
                                        totalSlNo += slNo;
                                        presentYearTotalRelease += presentYearReleased;
                                        previousYearTotalRelease += previousYearReleased;
                                    });

                                    let totalsRow = `
                                        <tr>
                                            <th colspan="2"></th>
                                            <th>${totalSlNo}</th>
                                            <th>${total.toFixed(2)}</th>
                                            <th>${previousYearTotalRelease.toFixed(2)}</th>
                                            <th>${presentYearTotalRelease.toFixed(2)}</th>
                                            <th>${totalRelease.toFixed(2)}</th>
                                            <th>${totalExpense.toFixed(2)}</th>
                                             <th>${notStartedCount}</th>
                                            <th>${workingInProgressCount}</th>
                                            <th>${physicallyCount}</th>
                                            <th>${financiallyCount}</th>
                                           
                                            <td></td>
                                        </tr>
                                    `;
                                    $('#reportTableBody').append(totalsRow);

                                    totalOverall += total;
                                    totalReleaseOverall += totalRelease;
                                    totalExpenseOverall += totalExpense;
                                    presentYearTotalReleaseOverall += presentYearTotalRelease;
                                    previousYearTotalReleaseOverall += previousYearTotalRelease;
                                    notStartedOverall += notStartedCount;
                                    workingInProgressOverall += workingInProgressCount;
                                    physicallyOverall += physicallyCount;
                                    financiallyOverall += financiallyCount;
                                    totalSlNoOverall += totalSlNo;
                                });
                            });
                        });
                    });

                    // Display grand totals
                    let grandTotalsRow = `
                        <tr style="font-weight:bold;">
                            <th colspan="2">Total</th>
                            <th>${totalSlNoOverall}</th>
                            <th>${totalOverall.toFixed(2)}</th>
                            <th>${previousYearTotalReleaseOverall.toFixed(2)}</th>
                            <th>${presentYearTotalReleaseOverall.toFixed(2)}</th>
                            <th>${totalReleaseOverall.toFixed(2)}</th>
                            <th>${totalExpenseOverall.toFixed(2)}</th>
                            <th>${notStartedOverall}</th>
                            <th>${workingInProgressOverall}</th>
                            <th>${physicallyOverall}</th>
                            <th>${financiallyOverall}</th>
                           
                            <td></td>
                        </tr>
                    `;
                    $('#reportTableBody').append(grandTotalsRow);

                    // Update totals display
                    $('#totalAmount').text(totalOverall.toFixed(2));
                    $('#totalReleaseAmount').text(totalReleaseOverall.toFixed(2));
                    $('#totalExpenses').text(totalExpenseOverall.toFixed(2));
                     $('#notStartedCount').text(notStartedOverall);
                    $('#workingInProgressCount').text(workingInProgressOverall);
                    $('#physicallyCount').text(physicallyOverall);
                    $('#financiallyCount').text(financiallyOverall);
                    $('#totalSlNo').text(totalSlNoOverall);
                    $('#totalPresentYearRelease').text(presentYearTotalReleaseOverall.toFixed(2));
                    $('#totalPreviousYearRelease').text(previousYearTotalReleaseOverall.toFixed(2));
                } else {
                    alert(response.message);
                }
            },
            error: function (xhr, status, error) {
                console.error('AJAX error:', error);
            }
        };

        if (formData) {
            ajaxOptions['data'] = formData;
            ajaxOptions['processData'] = false;
            ajaxOptions['contentType'] = false;
        }

        $.ajax(ajaxOptions);
    }

    fetchReport();

    $('#report').submit(function (e) {
        e.preventDefault();
        let formData = new FormData(this);
        fetchReport(formData);
    });
    
          $('#printBtn').click(function() {
            printReport();
        });

          
        function printReport() {
            // Create a new window
            const printWindow = window.open('', '_blank');
            const reportContent = $('#reportContainer').html(); // Get the HTML of the report

            printWindow.document.write(`
                <html>
                    <head>
                        <title>Report</title>
                        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
                                <style>
                            body { font-family: Arial, sans-serif; margin:0 5px !important; }
                            .heading { font-size: 20px; font-weight: bold; text-align: center; margin-bottom: 20px; }
                            table { width: 100%; border-collapse: collapse; }
                            th, td { padding:2px 2px !important; text-align:center; border:2px solid black; max-width:80px !important;  }
                            th {padding:0px 2px !important; }
                            .width{padding:0px 100px !important; } 
                         
                         
                          </style>
                    </head>
                    <body>
                        <div class="container mt-4 ml-1 mr-1">
                         
                            <div class="table-container">${reportContent}</div>
                        </div>
                    </body>
                </html>
            `);

            printWindow.document.close(); // Close the document to complete the rendering
            printWindow.onload = function() {
                printWindow.print(); // Trigger print when the document is fully loaded
                printWindow.close(); // Close the print window after printing
            };
        }
});




</script>  




<script>
function updateYearChange() {
    const dateInput = document.getElementById('date').value;
    if (dateInput) {
        const date = new Date(dateInput);
        const month = date.toLocaleString('kn-IN', { month: 'long' }); // Kannada month name
        const year = date.getFullYear();
        document.getElementById('monthChange').textContent = `(${month} - ${year})`;
    }
}
</script>


 <script>
        $(document).ready(function() {
            
            const currentYear = new Date().getFullYear();
            const fiscalYear = `${currentYear}-${currentYear + 1}`; 

           
            if (!$('#year').val()) {
                $('#yearchange').text(fiscalYear); 
            }

           
           $('#year').change(function() {
                const selectedYear = $(this).val();
                // const fiscalSelectedYear = `${selectedYear}-${parseInt(selectedYear) + 1}`;
                const fiscalSelectedYear = `${selectedYear}`;
                $('#yearchange').text(fiscalSelectedYear);
            });
        });
    </script>




























<script>
    let arrow = document.querySelectorAll(".arrow");
    for (var i = 0; i < arrow.length; i++) {
        arrow[i].addEventListener("click", (e) => {
            let arrowParent = e.target.parentElement.parentElement;
            arrowParent.classList.toggle("showMenu");
        });
    }
    let sidebar = document.querySelector(".sidebar");
    let sidebarBtn = document.querySelector(".bx-menu");
    console.log(sidebarBtn);
    sidebarBtn.addEventListener("click", () => {
        sidebar.classList.toggle("close");
    });
</script>

<script>
        $(document).ready(function () {
        
        $.ajax({
            url: '<?php echo base_url("fetch-constituency"); ?>', 
            method: 'GET',
            success: function (response) {
                if (response.length > 0) {
                    var options = '<option value="">Select Constituency</option>'; 
                    $.each(response, function (key, value) {
                        options += `<option value="${value.id}">${value.constituency_name}</option>`;
                    });
                    $('#constituency').html(options); 
                } else {
                   console.log('No constituency found');
                }
            },
            error: function (xhr, status, error) {
                console.error("Error fetching constituency:", error);
            }
        });
        });
</script>

<script>
    $(document).ready(function () {
   
    $.ajax({
        url: '<?php echo base_url("fetch-department"); ?>', 
        method: 'GET',
        success: function (response) {
          
            if (response.length > 0) {
                var options = '<option value="">Select Department</option>'; 
               
                $.each(response, function (key, value) {
                    options += `<option value="${value.id}">${value.department_name}</option>`;
                });
                $('#department').html(options); 
            } else {
               console.log('No department found');
            }
        },
        error: function (xhr, status, error) {
            console.error("Error fetching department:", error);
        }
    });
});

</script>

<script>
        $(document).ready(function () {
        
        $.ajax({
            url: '<?php echo base_url("fetch-mla"); ?>', 
            method: 'GET',
            success: function (response) {
                if (response.length > 0) {
                    var options = '<option value="">Select </option>'; 
                    $.each(response, function (key, value) {
                        options += `<option value="${value.id}">${value.mla}</option>`;
                    });
                    $('#mla').html(options); 
                } else {
                   console.log('No mla found');
                }
            },
            error: function (xhr, status, error) {
                console.error("Error fetching mla:", error);
            }
        });
        });
</script>


<script>
    $(document).ready(function () {
   
    $.ajax({
        url: '<?php echo base_url("fetch-apm"); ?>', 
        method: 'GET',
        success: function (response) {
          
            if (response.length > 0) {
                var options = '<option value="">Select APM</option>'; 
               
                $.each(response, function (key, value) {
                    options += `<option value="${value.id}">${value.username}</option>`;
                });
                $('#apm').html(options); 
            } else {
               console.log('No apm found');
            }
        },
        error: function (xhr, status, error) {
            console.error("Error fetching apm:", error);
        }
    });
});
</script>

<script>
    $(document).ready(function () {
   
    $.ajax({
        url: '<?php echo base_url("fetch-engineer"); ?>', 
        method: 'GET',
        success: function (response) {
          
            if (response.length > 0) {
                var options = '<option value="">Select Engineer</option>'; 
               
                $.each(response, function (key, value) {
                    options += `<option value="${value.id}">${value.username}</option>`;
                });
                $('#Engineer').html(options); 
            } else {
               console.log('No Engineer found');
            }
        },
        error: function (xhr, status, error) {
            console.error("Error fetching engineer:", error);
        }
    });
});

</script>

<script>
    $(document).ready(function () {
   
    $.ajax({
        url: '<?php echo base_url("fetch-fund"); ?>', 
        method: 'GET',
        success: function (response) {
          
            if (response.length > 0) {
                var options = '<option value="">Select fund</option>'; 
               
                $.each(response, function (key, value) {
                    options += `<option value="${value.id}">${value.fund_name}</option>`;
                });
                $('#Fund').html(options); 
            } else {
               console.log('No fund found');
            }
        },
        error: function (xhr, status, error) {
            console.error("Error fund engineer:", error);
        }
    });
});

</script>
<?php echo view('includes/footer'); ?>