<?php echo view('includes/sidebar'); ?>
<script type="text/javascript" src="<?php echo base_url('public/assets/js/jquery-3.6.0.min.js'); ?>"></script>
<script src="<?php echo base_url('public/assets/toastr/toastr.min.js');?>"></script>
<link rel="stylesheet" href="<?php echo base_url('public/assets/toastr/toastr.min.css');?>">
<link rel="stylesheet" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
<script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/2.5.1/jspdf.umd.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/html2canvas/1.4.1/html2canvas.min.js"></script>



<style>
    /* Styling for the table */
    table {
        width: 100%;
        border-collapse: collapse;
        text-align: left;
    }

    th,
    td {
        padding: 10px;
        border: 1px solid #ddd;
    }

    th {
        background-color: #f4f4f4;
        font-weight: bold;
    }

    tr:nth-child(even) {
        background-color: #f9f9f9;
    }


    .table-container {
        width: 100%;
        overflow-x: auto;
    }

    /* Styling for totals and grand total row */
    .total-row {
        font-weight: bold;
        background-color: #e0e0e0;
    }


    h4 {
        text-align: center;
        font-size: 20px;
        margin-bottom: 30px;
        margin-left: -150px;
        font-weight: bold;
        color: #4B0B0B;
    }

    .fieldsbox {
        width: 93% !important;
    }

    /* Additional styles for responsive view */
    @media screen and (max-width: 768px) {

        th,
        td {
            font-size: 14px;
            padding: 8px;
        }

        .total-row th,
        .total-row td {
            font-size: 14px;
            padding: 8px;
        }

        .fieldsbox {
            width: 100%;
        }

    }

    /* Table header fixed while scrolling */
    .table-container th {
        position: sticky;
        top: 0;
        background-color: #f4f4f4;
        z-index: 2;
    }

    #reportTable {
        width: 30%;

    }

    #reportTable,
    th,
    td {
        border-collapse: collapse;

    }

    #reportTable td {
        padding: 0px 10px;
        border: 1px solid black;

    }

    #reportTable th {
        padding: 0px 10px;
        border: 1px solid black;

    }

    #reportTable .width {
        padding: 0px 100px;
    }

    .heading {
        text-align: center;
        font-size: 22px;
        margin-left: -150px;
        font-weight: bold;
        color: #4B0B0B;
        /*border:none !important;*/
    }
</style>

<section class="home-section fullpage">
    <div class="home-content">
        <i class='bx bx-menu'></i>
        <!-- <span class="text">Drop Down Sidebar</span> -->
    </div>
    <div class="row m-0">
        <div class="col-sm-12">
            <h1 class="crt-pjt">Reports</h1>
        </div>
    </div>
    <form id="report">
        <div class="row m-0">
            <div class="constuency_page">
                <div class="constuencydetails">
                    <div class="constuencydetail row">
                        <div class="col-sm-4">
                            <label for="constituency" class="form-label inpfieldname">Constituency Name</label>
                            <select class="form-select form-control fieldsbox" id="constituency" name="constituency">
                                <option value=""></option>
                            </select>
                        </div>
                        <div class="col-sm-4">
                            <label for="mla" class="form-label inpfieldname">MLA/ MLC/MP</label>
                            <select class="form-select form-control fieldsbox" id="mla" name="mla">
                                <option value=""></option>
                            </select>
                        </div>
                        <div class="col-sm-4">
                            <label for="department" class="form-label inpfieldname">Department</label>
                            <select class="form-select form-control fieldsbox" id="department" name="department">
                                <option value=""></option>
                            </select>
                        </div>

                    </div>

                    <!-- -------------------------------------------2nd row -------------------------------  -->
                    <div class="constuencydetail row">

                        <div class="col-sm-4">
                            <label for="year" class="form-label inpfieldname">Financial Year</label>
                            <select class="form-select form-control fieldsbox" id="year" name="year">
                                <option value="">Select</option>
                                <option value="2029-28">2028-29</option>
                                <option value="2028-27">2027-28</option>
                                <option value="2027-26">2026-27</option>
                                <option value="2026-25">2025-26</option>
                                <option value="2025-24">2024-25</option>
                                <option value="2024-23">2023-24</option>
                                <option value="2023-22">2022-23</option>
                                <option value="2022-21">2021-22</option>
                                <option value="2021-20">2020-21</option>
                                <option value="2020-19">2020-19</option>
                                <option value="2019-20">2019-20</option>
                                <option value="2018-19">2018-19</option>
                                <option value="2017-18">2017-18</option>
                                <option value="2016-17">2016-17</option>
                            </select>
                        </div>
                        <div class="col-sm-4">
                            <label for="Apm" class="form-label inpfieldname">APM</label><br>
                            <select class="form-select form-control fieldsbox" aria-label="Default select example"
                                id="apm" name="apm">
                                <option value=""></option>
                            </select>
                        </div>
                        <div class="col-sm-4">
                            <label for="engineer" class="form-label inpfieldname">Engineer</label><br>
                            <select class="form-select form-control fieldsbox" aria-label="Default select example"
                                id="Engineer" name="engineer">
                                <option value=""></option>
                            </select>
                        </div>
                    </div>



                </div>
            </div>

            <div class="col-sm-6 buttns-cnl">
                <button type="submit" class="submit">Submit</button>
            </div>
        </div>
    </form>

    <!-- Table -->
    <div class="container mt-4">
        <button id="printBtn" class="btn btn-primary">Print</button>
        <div class="table-container" id="reportContainer">

            <table class="table mt-3" id="reportTable">

                <thead>
                    <tr>

                        <td colspan="12" class="heading">Mysore Nirmithi kendra</td>
                    </tr>
                    <tr>
                        <td colspan="12" style="text-align:center">Heading</td>
                    </tr>
                    <tr>
                        <th>SL No</th> 
                        <th class="width">Work Details</th>
                        <th>Number</th>
                        <th>Estimated Amount</th>
                        <th>previous year released Amount</th>
                        <th>Present year released Amount</th>
                        <th>Release Amount</th>
                        <th>Expenditure</th>
                        <th colspan="3">Work Stage</th>
                        <th>Page NO</th>
                    </tr>
                    <tr>
                        <td></td>
                        <td></td>
                        <td></td>
                       
                        <td colspan="5">Lakhs in Rupees</td>
                        <th>Progress</th>
                        <th>Completed</th>
                        <th>Not Started</th>
                        <td></td>
                    </tr>
                  
                </thead>
                <tbody id="reportTableBody">
                    <!-- Dynamic rows will be appended here -->
                </tbody>

            </table>
        </div>
    </div>

    </div>
     
<script>
$(document).ready(function () {
    // Function to fetch and display the report
    function fetchReport(formData = null) {
        $.ajax({
            url: "<?php echo base_url('get_report'); ?>",
            type: 'POST',
            data: formData ? formData : {},
            processData: formData ? false : true,
            contentType: formData ? false : 'application/x-www-form-urlencoded; charset=UTF-8',
            dataType: 'json',
            success: function (response) {
                if (response.result === 1) {
                    $('#reportTableBody').empty();
                    // Reset totals
                    $('#totalAmount').text('0');
                    $('#previousYearAmount').text('0');
                    $('#presentYearAmount').text('0');
                    $('#totalReleaseAmount').text('0');
                    $('#totalExpenses').text('0');
                    $('#workingInProgressCount').text('0');
                    $('#completedCount').text('0');
                    $('#notStartedCount').text('0');

                    let totalsByDepartment = {}; // New object for totals by department
                    let grandTotal = {
                        totalOverall: 0,
                        totalReleaseOverall: 0,
                        totalExpenseOverall: 0,
                        totalPreviousOverall: 0,
                        totalPresentOverall: 0,
                        workingInProgressOverall: 0,
                        completedOverall: 0,
                        notStartedOverall: 0,
                        totalSerialValue: 0 // Initialize grand total for serial values
                    };

                    let serialCounter = 1; // Counter for serial numbers
                    // Loop through each project in the response table
                    $.each(response.table, function (index, project) {
                        // Parsing values
                        let amount = parseFloat(project.Total_amount) || 0;
                        let previous_year_released = parseFloat(project.previous_year_released) || 0;
                        let present_year_released = parseFloat(project.present_year_released) || 0;
                        let releaseAmount = parseFloat(project.total_released_amount) || 0;
                        let expenses = parseFloat(project.total_expenditure) || 0;
                        let workingStage =project.status ? project.status.toLowerCase() : null;
                        let departmentName = project.department_name || "Unassigned"; 
                        let constituencyName = project.constituency_name || "Unassigned"; // Get constituency name
                        let serialNumberValue = parseInt(project.sl_no) || 0; // Use project serial number

                      if (workingStage === 'working in progress') {
                            grandTotal.workingInProgressOverall++;
                        } else if (workingStage === 'completed') {
                            grandTotal.completedOverall++;
                        }else if (workingStage === 'not started') {
                            grandTotal.notStartedOverall++;
                        }

                        // Initialize totals for the department if it doesn't exist
                        if (!totalsByDepartment[departmentName]) {
                            totalsByDepartment[departmentName] = {
                                constituencies: {}, // Initialize constituency totals
                                amount: 0,
                                previous_year_released: 0,
                                present_year_released: 0,
                                releaseAmount: 0,
                                expenses: 0,
                                serialNumberValue: 0, // Initialize serial value for department
                                workingInProgress: 0,
                                completed: 0,
                                notStarted: 0
                            };
                        }

                        // Initialize totals for the constituency if it doesn't exist
                        if (!totalsByDepartment[departmentName].constituencies[constituencyName]) {
                            totalsByDepartment[departmentName].constituencies[constituencyName] = {
                                amount: 0,
                                previous_year_released: 0,
                                present_year_released: 0,
                                releaseAmount: 0,
                                expenses: 0,
                                serialNumberValue: 0, // Initialize serial value for constituency
                                workingInProgress: 0,
                                completed: 0,
                                notStarted: 0
                            };
                        }

                        // Accumulate totals for the constituency
                        totalsByDepartment[departmentName].constituencies[constituencyName].amount += amount;
                        totalsByDepartment[departmentName].constituencies[constituencyName].previous_year_released += previous_year_released;
                        totalsByDepartment[departmentName].constituencies[constituencyName].present_year_released += present_year_released;
                        totalsByDepartment[departmentName].constituencies[constituencyName].releaseAmount += releaseAmount;
                        totalsByDepartment[departmentName].constituencies[constituencyName].expenses += expenses;
                        totalsByDepartment[departmentName].constituencies[constituencyName].serialNumberValue += serialNumberValue; // Sum serial values

                        
                        if (workingStage === 'working in progress') {
                            totalsByDepartment[departmentName].constituencies[constituencyName].workingInProgress++;
                        } else if (workingStage === 'completed') {
                            totalsByDepartment[departmentName].constituencies[constituencyName].completed++;
                        } else if (workingStage === 'not started') {
                            totalsByDepartment[departmentName].constituencies[constituencyName].notStarted++;
                        }

                        // Accumulate totals for the department
                        totalsByDepartment[departmentName].amount += amount;
                        totalsByDepartment[departmentName].previous_year_released += previous_year_released;
                        totalsByDepartment[departmentName].present_year_released += present_year_released;
                        totalsByDepartment[departmentName].releaseAmount += releaseAmount;
                        totalsByDepartment[departmentName].expenses += expenses;
                        totalsByDepartment[departmentName].serialNumberValue += serialNumberValue; // Sum serial values for department

                        // Update grand total
                        grandTotal.totalOverall += amount;
                        grandTotal.totalReleaseOverall += releaseAmount;
                        grandTotal.totalExpenseOverall += expenses;
                        grandTotal.totalPreviousOverall += previous_year_released;
                        grandTotal.totalPresentOverall += present_year_released;
                        grandTotal.totalSerialValue += serialNumberValue; // Sum serial values for grand total
                    });

                    // Render the table rows based on accumulated department totals
                    $.each(totalsByDepartment, function (departmentName, departmentTotals) {
                        // Render department row
                        let departmentRow = `
                            <tr style="font-weight: bold; background-color: #f0f0f0;">
                                <td>${serialCounter++}</td>
                                <td colspan="12" style="text-align:center">${departmentName}</td>
                            </tr>
                        `;
                        $('#reportTableBody').append(departmentRow);

                      $.each(departmentTotals.constituencies, function (constituencyName, totals) {
                          let constituencyRow = `
                            <tr>
                                <td></td>
                                <td>${constituencyName}</td>
                                <td>${totals.serialNumberValue}</td>
                                <td>${totals.amount.toFixed(2)}</td>
                                <td>${totals.previous_year_released.toFixed(2)}</td>
                                <td>${totals.present_year_released.toFixed(2)}</td>
                                <td>${totals.releaseAmount.toFixed(2)}</td>
                                <td>${totals.expenses.toFixed(2)}</td>
                                 <td>${totals.workingInProgress}</td>
                                 <td>${totals.completed}</td>
                                 <td>${totals.notStarted}</td>
                                 <td></td>
                                  </tr>
                             `;
                            $('#reportTableBody').append(constituencyRow);

    // Accumulate the department totals for status columns
                          departmentTotals.workingInProgress += totals.workingInProgress;
                          departmentTotals.completed += totals.completed;
                          departmentTotals.notStarted += totals.notStarted;
                        });
                   
                        let departmentTotalRow = `
                            <tr style="font-weight: bold; background-color: #e0e0e0;">
                                <td></td>
                                <td><strong>Total </strong></td>
                                 <td>${departmentTotals.serialNumberValue}</td>
                                <td>${departmentTotals.amount.toFixed(2)}</td>
                                <td>${departmentTotals.previous_year_released.toFixed(2)}</td>
                                <td>${departmentTotals.present_year_released.toFixed(2)}</td>
                                <td>${departmentTotals.releaseAmount.toFixed(2)}</td>
                                <td>${departmentTotals.expenses.toFixed(2)}</td>
                                <td>${departmentTotals.workingInProgress}</td>
                                <td>${departmentTotals.completed}</td>
                                <td>${departmentTotals.notStarted}</td>
                                <td></td>
                            </tr>
                        `;
                        $('#reportTableBody').append(departmentTotalRow);
                    });

                    // Update overall totals in the UI
                    $('#totalAmount').text(grandTotal.totalOverall.toFixed(2));
                    $('#totalReleaseAmount').text(grandTotal.totalReleaseOverall.toFixed(2));
                    $('#previousYearAmount').text(grandTotal.totalPreviousOverall.toFixed(2));
                    $('#presentYearAmount').text(grandTotal.totalPresentOverall.toFixed(2));
                    $('#totalExpenses').text(grandTotal.totalExpenseOverall.toFixed(2));
                    $('#workingInProgressCount').text(grandTotal.workingInProgressOverall);
                    $('#completedCount').text(grandTotal.completedOverall);
                    $('#notStartedCount').text(grandTotal.notStartedOverall);

                    // Add Grand Total Row
                    let grandTotalRow = `
                        <tr style="font-weight: bold;">
                            <th colspan="2">Grand Total</th>
                            <th>${grandTotal.totalSerialValue}</th>
                            <th>${grandTotal.totalOverall.toFixed(2)}</th>
                            <th>${grandTotal.totalPreviousOverall.toFixed(2)}</th>
                            <th>${grandTotal.totalPresentOverall.toFixed(2)}</th>
                            <th>${grandTotal.totalReleaseOverall.toFixed(2)}</th>
                            <th>${grandTotal.totalExpenseOverall.toFixed(2)}</th>
                            <th>${grandTotal.workingInProgressOverall}</th>
                            <th>${grandTotal.completedOverall}</th>
                            <th>${grandTotal.notStartedOverall}</th>
                            <th></th>
                        </tr>
                    `;
                    $('#reportTableBody').append(grandTotalRow);
                } else {
                    alert(response.message); // Display error message
                }
            },
            error: function (xhr, status, error) {
                alert('An error occurred while fetching the report: ' + error);
            }
        });
    }

   
    fetchReport();

            $('#report').submit(function (e) {
                e.preventDefault();

                var formData = new FormData(this);

                fetchReport(formData);
            });
                // Print functionality
        $('#printBtn').click(function() {
            printReport();
        });

        function printReport() {
            // Create a new window
            const printWindow = window.open('', '_blank');
            const reportContent = $('#reportContainer').html(); // Get the HTML of the report

            printWindow.document.write(`
                <html>
                    <head>
                        <title>Report</title>
                        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
                                <style>
                            body { font-family: Arial, sans-serif; margin:0 5px !important; }
                            .heading { font-size: 20px; font-weight: bold; text-align: center; margin-bottom: 20px; }
                            table { width: 100%; border-collapse: collapse; }
                            th, td { padding:2px 2px !important; text-align:center; border:2px solid black; }
                            th {padding:0px 2px !important; }
                            .width{padding:0px 100px !important; } 
                         
                         
                          </style>
                    </head>
                    <body>
                        <div class="container mt-4 ml-1 mr-1">
                         
                            <div class="table-container">${reportContent}</div>
                        </div>
                    </body>
                </html>
            `);

            printWindow.document.close(); // Close the document to complete the rendering
            printWindow.onload = function() {
                printWindow.print(); // Trigger print when the document is fully loaded
                printWindow.close(); // Close the print window after printing
            };
        }
});

</script>
























    <script>
        let arrow = document.querySelectorAll(".arrow");
        for (var i = 0; i < arrow.length; i++) {
            arrow[i].addEventListener("click", (e) => {
                let arrowParent = e.target.parentElement.parentElement;
                arrowParent.classList.toggle("showMenu");
            });
        }
        let sidebar = document.querySelector(".sidebar");
        let sidebarBtn = document.querySelector(".bx-menu");
        console.log(sidebarBtn);
        sidebarBtn.addEventListener("click", () => {
            sidebar.classList.toggle("close");
        });
    </script>

    <script>
        $(document).ready(function () {

            $.ajax({
                url: '<?php echo base_url("fetch-constituency"); ?>',
                method: 'GET',
                success: function (response) {
                    if (response.length > 0) {
                        var options = '<option value="">Select Constituency</option>';
                        $.each(response, function (key, value) {
                            options += `<option value="${value.id}">${value.constituency_name}</option>`;
                        });
                        $('#constituency').html(options);
                    } else {
                        console.log('No constituency found');
                    }
                },
                error: function (xhr, status, error) {
                    console.error("Error fetching constituency:", error);
                }
            });
        });
    </script>

    <script>
        $(document).ready(function () {

            $.ajax({
                url: '<?php echo base_url("fetch-department"); ?>',
                method: 'GET',
                success: function (response) {

                    if (response.length > 0) {
                        var options = '<option value="">Select Department</option>';

                        $.each(response, function (key, value) {
                            options += `<option value="${value.id}">${value.department_name}</option>`;
                        });
                        $('#department').html(options);
                    } else {
                        console.log('No department found');
                    }
                },
                error: function (xhr, status, error) {
                    console.error("Error fetching department:", error);
                }
            });
        });

    </script>

    <script>
        $(document).ready(function () {

            $.ajax({
                url: '<?php echo base_url("fetch-mla"); ?>',
                method: 'GET',
                success: function (response) {
                    if (response.length > 0) {
                        var options = '<option value="">Select </option>';
                        $.each(response, function (key, value) {
                            options += `<option value="${value.id}">${value.mla}</option>`;
                        });
                        $('#mla').html(options);
                    } else {
                        console.log('No mla found');
                    }
                },
                error: function (xhr, status, error) {
                    console.error("Error fetching mla:", error);
                }
            });
        });
    </script>


    <script>
        $(document).ready(function () {

            $.ajax({
                url: '<?php echo base_url("fetch-apm"); ?>',
                method: 'GET',
                success: function (response) {

                    if (response.length > 0) {
                        var options = '<option value="">Select APM</option>';

                        $.each(response, function (key, value) {
                            options += `<option value="${value.id}">${value.username}</option>`;
                        });
                        $('#apm').html(options);
                    } else {
                        console.log('No apm found');
                    }
                },
                error: function (xhr, status, error) {
                    console.error("Error fetching apm:", error);
                }
            });
        });
    </script>

    <script>
        $(document).ready(function () {

            $.ajax({
                url: '<?php echo base_url("fetch-engineer"); ?>',
                method: 'GET',
                success: function (response) {

                    if (response.length > 0) {
                        var options = '<option value="">Select Engineer</option>';

                        $.each(response, function (key, value) {
                            options += `<option value="${value.id}">${value.username}</option>`;
                        });
                        $('#Engineer').html(options);
                    } else {
                        console.log('No Engineer found');
                    }
                },
                error: function (xhr, status, error) {
                    console.error("Error fetching engineer:", error);
                }
            });
        });

    </script>
    <?php echo view('includes/footer'); ?>