<?php

namespace App\Controllers;

class Roles extends BaseController{

    public function __construct()  
    { 
        $this->db = \Config\Database::connect(); 
          
    } 

public function add_roles(){
$role_name=$this->request->getpost('role_name');
$remarks=$this->request->getpost('remarks');
$created_at=date('y-m-d H-i-s');
$created_by = session()->get('username');
$data=[
    "role"=>$role_name,
    'remarks'=>$remarks,
    'created_at'=>$created_at,
   'created_by'=>$created_by,

];

try {
    $builder=$this->db->table('roles');
    if($builder->insert($data)){

        return $this->response->setJSON(['result'=>1,'message'=>'Role Add successfully']);
    }else{

        return $this->response->setJSON(['result'=>0,'message'=>'Failed Create Role']);
    }

}catch(\Exception $e){
    return $this->response->setJSON(['result' => 0, 'message' => $e->getMessage()]);
}

}

public function fetch_roles(){

    $db = \Config\Database::connect();
    $builder = $db->table('roles'); 
    $builder->select('id ,role,role_name'); 
    $query = $builder->get();
    $role = $query->getResultArray();

    if ($role) {
        return $this->response->setJSON($role);
    } else {
        return $this->response->setJSON(['result' => 0, 'message' => 'No headers found']);
    }
}

public function add_roles_creation(){

$role_name = $this->request->getPost('role');
$admin = $this->request->getPost('admin');
$apm = $this->request->getPost('apm');
$supervisor = $this->request->getPost('supervisor');
$firstname=$this->request->getpost('First_Name');
$lastname=$this->request->getpost('Last_Name');
$phoneNo=$this->request->getpost('Phone_Number');
$email=$this->request->getpost('E-Mail');
$dob=$this->request->getpost('dob');
$gender=$this->request->getpost('gender');
$department=$this->request->getpost('department');
$DOJ=$this->request->getpost('doj');
$pan_no=$this->request->getpost('Pan_Number');
$address=$this->request->getpost('Address');
$status=$this->request->getpost('status');
$created_at=date('y-m-d H-i-s');
$created_by = session()->get('username');

$file=$this->request->getFile('file');
$newname = null; 
if($file){
    $newname=$file->getRandomName();
    $file->move(ROOTPATH.'public/employeeImages',$newname);
}

    $data = [
        'role' => $role_name,
        'created_at' => $created_at,
        'created_by' => $created_by,
        'first_name'=>$firstname,'last_name'=>$lastname,
        'phone_no'=>$phoneNo,'email'=>$email,'dob'=>$dob,
        'gender'=>$gender,
        'department'=>$department,
        'date_of_joining'=>$DOJ,
        'pan_no'=>$pan_no,
        'address'=>$address,
        'status'=>$status,
        'upload_photo'=>$newname,
    ];
    if (!empty($admin)) {
        $data['admin'] = $admin;
    }
    if (!empty($apm)) {
        $data['apm'] = $apm;
    }
    
    if (!empty($supervisor)) {
        $data['supervisor'] = $supervisor;
    }
    
   
    try {
        $builder=$this->db->table('roles_creation');
        if($builder->insert($data)){
    
            return $this->response->setJSON(['result'=>1,'message'=>'Role Add successfully']);
        }else{
    
            return $this->response->setJSON(['result'=>0,'message'=>'Failed Create Role']);
        }
    
    }catch(\Exception $e){
        return $this->response->setJSON(['result' => 0, 'message' => $e->getMessage()]);
    }
}

public function fetch_admin() {
    $db = \Config\Database::connect();
    $builder = $db->table('roles_creation'); 
    $builder->select('id, first_name,role',);
    $builder->where('role', '1');
    
    $query = $builder->get();
    $role = $query->getResultArray();

    if ($role) {
        return $this->response->setJSON($role);
    } else {
        return $this->response->setJSON(['result' => 0, 'message' => 'No roles found']);
    }
}


public function fetch_apm() {
    $db = \Config\Database::connect();
    $builder = $db->table('roles_creation'); 
    $builder->select('id, first_name,role');
    $builder->where('role','2');
    
    $query = $builder->get();
    $role = $query->getResultArray();

    if ($role) {
        return $this->response->setJSON($role);
    } else {
        return $this->response->setJSON(['result' => 0, 'message' => 'No roles found']);
    }
}
public function fetch_supervisor() {
    $db = \Config\Database::connect();
    $builder = $db->table('roles_creation'); 
    $builder->select('id, first_name,role');
    $builder->where('role', '3');
    $query = $builder->get();
    $role = $query->getResultArray();

    if ($role) {
        return $this->response->setJSON($role);
    } else {
        return $this->response->setJSON(['result' => 0, 'message' => 'No roles found']);
    }
}







}

?>