<?php echo view('includes/sidebar'); ?>
<script type="text/javascript" src="<?php echo base_url('public/assets/js/jquery-3.6.0.min.js'); ?>"></script>
<script src="<?php echo base_url('public/assets/toastr/toastr.min.js');?>"></script>
<link rel="stylesheet" href="<?php echo base_url('public/assets/toastr/toastr.min.css');?>">
<link rel="stylesheet" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
<script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/2.5.1/jspdf.umd.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/html2canvas/1.4.1/html2canvas.min.js"></script>



<style>

    table {
        width: 90%;
        border-collapse: collapse;
        text-align: left;
    }

    th, td {
        padding:0 5px;
        border: 1px solid #ddd;
    }

    th {
        background-color: #f4f4f4;
        font-weight: bold;
    }

    tr:nth-child(even) {
        background-color: #f9f9f9;
    }


    .table-container {
        width: 100%;
        overflow-x: auto; 
        overflow-y: auto; 
    }

    /* Styling for totals and grand total row */
    .total-row {
        font-weight: bold;
        background-color: #e0e0e0;
    }

    
    h4{
      text-align:center;
        font-size:20px;
        margin-bottom:30px;
     margin-left:-150px;
        font-weight:bold;
        color:#4B0B0B;
    }

    .fieldsbox{
            width:93%;
        }
    /* Additional styles for responsive view */
    @media screen and (max-width: 768px) {
        th, td {
            font-size: 14px;
            padding: 8px;
        }

        .total-row th, .total-row td {
            font-size: 14px;
            padding: 8px;
        }
        .fieldsbox{
            width:100%;
        }
    }

    /* Table header fixed while scrolling */
    .table-container th {
        position: sticky;
        top: 0;
        background-color: #f4f4f4;
        z-index: 2;
    }
#reportTable{
    width:30%;
      overflow-y: auto;
    max-height: 400px;
  
}
#reportTable, th, td {
  border-collapse: collapse;
 
}
#reportTable td{
padding:0 5px;
border: 1px solid black;

}
#reportTable th{
padding:0 5px;
border: 1px solid black;

}

#reportTable .width{
   padding:0px 150px;
}
  .heading{
      text-align:center;
        font-size:22px;
      margin-left:-150px;
        font-weight:bold;
        color:#4B0B0B;
        /*border:none !important;*/
    }
</style>

<section class="home-section fullpage">
    <div class="home-content">
        <i class='bx bx-menu'></i>
        <!-- <span class="text">Drop Down Sidebar</span> -->
    </div>
    <div class="row m-0">
        <div class="col-sm-12">
            <h1 class="crt-pjt">Reports</h1>
        </div>
    </div>
    <form id="report">
    <div class="row m-0">
        <div class="constuency_page"> 
            <div class="constuencydetails">
                <!-- ----------------------------1st  row------------------------------------------  -->
                
                <div class="constuencydetail row">
                    <div class="col-sm-4">
                        <label for="constituency" class="form-label inpfieldname">Constituency Name</label>
                        <select class="form-select form-control fieldsbox" id="constituency" name="constituency">
                            <option value=""></option>
                        </select>
                    </div>
                    <div class="col-sm-4">
                        <label for="mla" class="form-label inpfieldname">MLA/ MLC/MP</label>
                        <select class="form-select form-control fieldsbox" id="mla" name="mla">
                            <option value=""></option>
                        </select>
                    </div>
                    <div class="col-sm-4">
                        <label for="department" class="form-label inpfieldname">Department</label>
                        <select class="form-select form-control fieldsbox" id="department" name="department">
                            <option value=""></option>
                        </select>
                    </div>
                </div>



                <!-- ----------------------------2nd row------------------------------------------  -->
                <div class="constuencydetail row">
                
                    <div class="col-sm-4">
                        <label for="year" class="form-label inpfieldname">Financial Year</label>
                        <select class="form-select form-control fieldsbox" id="year" name="year">
                        <option value="">Select</option>
                       
                        <option value="2028-29">2028-29</option>
                        <option value="2027-28">2027-28</option>
                        <option value="2026-27">2026-27</option>
                        <option value="2025-26">2025-26</option>
                        <option value="2024-25">2024-25</option>
                        <option value="2023-24">2023-24</option>
                        <option value="2022-23">2022-23</option>
                        <option value="2021-22">2021-22</option>
                        <option value="2020-21">2020-21</option>
                        <option value="2019-20">2019-20</option>
                        <option value="2018-19">2018-19</option>
                        <option value="2017-18">2017-18</option>
                        <option value="2016-17">2016-17</option>
                        </select>
                    </div>
                    <div class="col-sm-4">
                            <label for="Apm" class="form-label inpfieldname">APM</label><br>
                            <select class="form-select form-control fieldsbox" aria-label="Default select example"
                                id="apm"  name="apm">
                                <option value=""></option>
                            </select>
                        </div>
                        <div class="col-sm-4">
                            <label for="engineer" class="form-label inpfieldname">Engineer</label><br>
                            <select class="form-select form-control fieldsbox" aria-label="Default select example"
                                id="Engineer"  name="engineer">
                                <option value=""></option>
                            </select>
                        </div>
                </div>
            </div>
        </div>

        <div class="col-sm-6 buttns-cnl">
            <button type="submit" class="submit">Submit</button>
        </div>
    </div>
</form>

<!-- Table -->
<div class="container mt-4">
<button id="printBtn" class="btn btn-primary">Print</button>
<div class="table-container" id="reportContainer">
<table class="table mt-3" id="reportTable">
    <thead>
        <tr>
            <td colspan="15" class="heading">Mysore Nirmithi kendra</td>
        </tr>
        <tr>
            <td colspan="15"  style="text-align:center">
            <span id="yearchange"></span>  ಸಾಲಿನಲ್ಲಿ ಕೈಗೊಳ್ಳುತ್ತಿರುವ ಕಾಮಗಾರಿಗ
         
            </td>
        </tr>
        <tr>
            <th></th>
            <th class="project-column">Work Details</th>
            <th class="reduced-width">Number</th>
            <th class="reduced-width">Total Amount</th>
            <th class="reduced-width">Previous Year Released Amount</th>
            <th class="reduced-width">Present Year Released Amount</th>
            <th class="reduced-width">Release Amount</th>
            <th class="reduced-width">Expenses</th>
             <th colspan="3" class="reduced-width" style="padding: 30px;">Work Stage</th>
            <th class="reduced-width">Remarks</th>
        </tr>
        <tr>
            <td></td>
            <td></td>
            <td></td>
            <td colspan="5">Lakhs in Rupees</td>
            <th>Progress</th>
            <th>Completed</th>
            <th>Not Started</th>
            <td></td>
        </tr>
    </thead>
    <tbody id="reportTableBody">
        <!-- Dynamic rows will be appended here -->
    </tbody>
</table>

</div>
</div>

</div>
<script>

$(document).ready(function() {

    function fetchReport(formData = null) {

        $('#reportTableBody').empty();
        $('#totalAmount').text('0');
        $('#totalReleaseAmount').text('0');
        $('#totalExpenses').text('0');
        $('#workingInProgressCount').text('0'); 
        $('#completedCount').text('0');
        $('#notStartedCount').text('0');
        $('#totalSlNo').text('0');
        $('#totalPresentYearRelease').text('0'); // Present Year total
        $('#totalPreviousYearRelease').text('0'); // Previous Year total

        let ajaxOptions = {
            url: "<?php echo base_url('get_report'); ?>", 
            type: 'POST',
            dataType: 'json',
            success: function(response) {
                console.log(response);

                if (response.result === 1) {
                    let departmentGroups = {};

                    $.each(response.table, function(index, row) {
                        const departmentName = row.department_name;
                        const currentConstituencyName = row.constituency_name; 

                        if (!departmentGroups[departmentName]) {
                            departmentGroups[departmentName] = {};
                        }

                        if (!departmentGroups[departmentName][currentConstituencyName]) {
                            departmentGroups[departmentName][currentConstituencyName] = [];
                        }
                        departmentGroups[departmentName][currentConstituencyName].push(row);
                    });

                    let totalOverall = 0, totalReleaseOverall = 0, totalExpenseOverall = 0;
                    let presentYearTotalReleaseOverall = 0, previousYearTotalReleaseOverall = 0;
                    let workingInProgressOverall = 0, completedOverall = 0, notStartedOverall = 0;
                    let totalSlNoOverall = 0;

                    $.each(departmentGroups, function(departmentName, constituencies) {
                        let departmentHeader = `
                            <tr>
                                <td colspan="15" style="text-align:center"><strong>${departmentName}</strong></td>
                            </tr>
                        `;
                        $('#reportTableBody').append(departmentHeader);

                        $.each(constituencies, function(currentConstituencyName, projects) {
                            let constituencyRow = `
                                <tr>
                                    <td colspan="15" style="text-align:left !important; background-color:#f2f2f2;"><strong>${currentConstituencyName}</strong></td>
                                </tr>
                            `;
                            $('#reportTableBody').append(constituencyRow);

                            let total = 0, totalRelease = 0, totalExpense = 0;
                            let presentYearTotalRelease = 0, previousYearTotalRelease = 0;
                            let workingInProgressCount = 0, completedCount = 0, notStartedCount = 0;
                            let totalSlNo = 0;

                            $.each(projects, function(index, project) {
                                let amount = parseFloat(project.Total_amount) || 0;
                                let releaseAmount = parseFloat(project.total_released_amount) || 0;
                                let previousYearReleased = parseFloat(project.previous_year_released) || 0;
                                let presentYearReleased = parseFloat(project.present_year_released) || 0;
                                let expenses = parseFloat(project.total_expenditure) || 0;
                                let slNo = parseInt(project.sl_no) || 0;
                                let workingStage = project.status ? project.status.toLowerCase() : null;

                                if (workingStage === 'completed') {
                                    completedCount++;
                                } else if (workingStage === 'progress') {
                                    workingInProgressCount++;
                                } else if (workingStage === 'not started') {
                                    notStartedCount++;
                                }

                                let newRow = `
                                    <tr>
                                        <td>${index + 1}</td>
                                        <td>${project.project_name}</td>
                                        <td>${slNo}</td>
                                        <td>${amount.toFixed(2)}</td>
                                        <td>${previousYearReleased.toFixed(2)}</td> 
                                        <td>${presentYearReleased.toFixed(2)}</td> 
                                        <td>${releaseAmount.toFixed(2)}</td>
                                        <td>${expenses.toFixed(2)}</td>
                                        <td>${workingInProgressCount}</td>
                                        <td>${completedCount}</td>
                                        <td>${notStartedCount}</td>
                                        <td>${project.remarks}</td>
                                    </tr>
                                `;
                                $('#reportTableBody').append(newRow);

                                total += amount;
                                totalRelease += releaseAmount;
                                totalExpense += expenses;
                                totalSlNo += slNo;
                                presentYearTotalRelease += presentYearReleased;
                                previousYearTotalRelease += previousYearReleased;
                            });

                            let totalsRow = `
                                <tr>
                                    <th colspan="2"></th>
                                    <th>${totalSlNo}</th>
                                    <th>${total.toFixed(2)}</th>
                                    <th>${previousYearTotalRelease.toFixed(2)}</th> 
                                    <th>${presentYearTotalRelease.toFixed(2)}</th> 
                                    <th>${totalRelease.toFixed(2)}</th>
                                    <th>${totalExpense.toFixed(2)}</th>
                                    <th>${workingInProgressCount}</th>
                                    <th>${completedCount}</th>
                                    <th>${notStartedCount}</th>
                                    <td></td>
                                </tr>
                            `;
                            $('#reportTableBody').append(totalsRow);

                            totalOverall += total;
                            totalReleaseOverall += totalRelease;
                            totalExpenseOverall += totalExpense;
                            presentYearTotalReleaseOverall += presentYearTotalRelease;
                            previousYearTotalReleaseOverall += previousYearTotalRelease;
                            workingInProgressOverall += workingInProgressCount;
                            completedOverall += completedCount;
                            notStartedOverall += notStartedCount;
                            totalSlNoOverall += totalSlNo;
                        });
                    });

                    let grandTotalsRow = `
                        <tr style="font-weight:bold;">
                            <th colspan="2">Total</th>
                            <th>${totalSlNoOverall}</th>
                            <th>${totalOverall.toFixed(2)}</th>
                            <th>${previousYearTotalReleaseOverall.toFixed(2)}</th> 
                            <th>${presentYearTotalReleaseOverall.toFixed(2)}</th> 
                            <th>${totalReleaseOverall.toFixed(2)}</th>
                            <th>${totalExpenseOverall.toFixed(2)}</th>
                            <th>${workingInProgressOverall}</th>
                            <th>${completedOverall}</th>
                            <th>${notStartedOverall}</th>
                            <td></td>
                        </tr>
                    `;
                    $('#reportTableBody').append(grandTotalsRow);

                    $('#totalAmount').text(totalOverall.toFixed(2));
                    $('#totalReleaseAmount').text(totalReleaseOverall.toFixed(2));
                    $('#totalExpenses').text(totalExpenseOverall.toFixed(2));
                    $('#workingInProgressCount').text(workingInProgressOverall); 
                    $('#completedCount').text(completedOverall); 
                    $('#notStartedCount').text(notStartedOverall);
                    $('#totalSlNo').text(totalSlNoOverall); 
                    $('#totalPresentYearRelease').text(presentYearTotalReleaseOverall.toFixed(2)); 
                    $('#totalPreviousYearRelease').text(previousYearTotalReleaseOverall.toFixed(2)); 
                } else {
                    alert(response.message); 
                }
            },
            error: function(xhr, status, error) {
                console.error('AJAX error:', error);
            }
        };

        if (formData) {
            ajaxOptions['data'] = formData;
            ajaxOptions['processData'] = false;
            ajaxOptions['contentType'] = false;
        }

        $.ajax(ajaxOptions);
    }

    fetchReport();

    $('#report').submit(function(e) {
        e.preventDefault();
        let formData = new FormData(this);
        fetchReport(formData);
    });
    
    // Print functionality
    $('#printBtn').click(function() {
        printReport();
    });

function printReport() {
    const printWindow = window.open('', '_blank');
    const reportContent = $('#reportContainer').html();

    printWindow.document.write(`
        <html>
            <head>
                <title>Report</title>
                <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
                <style>
                    body { font-family: Arial, sans-serif; margin: 0  0 0 -180px; padding: 0; }
                    .heading { font-size: 20px; font-weight: bold; text-align:center; margin-bottom: 20px; }
                    table { width: 100%; max-width: 100%; border-collapse: collapse; }
                    th, td { padding:0 3px; text-align:left; border: 2px solid black; font-size: 12px; }

                    /* Increase the width of the project name column */
                    th.project-column, td.project-column {
                        width: 300px; /* Set a wider width for the "Work Details" column */
                    }

                    /* Reduce the width of all other columns */
                    th.reduced-width, td.reduced-width {
                        padding:0px 10px; /* You can adjust this width */
                    }

                    /* Specific widths for the Work Stage columns */
                    th[colspan="3"], td[colspan="3"] {
                        width: 120px; /* Adjust width for work stage columns */
                    }
                </style>
            </head>
            <body>
                <div class="container">${reportContent}</div>
            </body>
        </html>
    `);

    printWindow.document.close();
    printWindow.print();
}


});
</script>  




   <script>
        $(document).ready(function() {
            
            const currentYear = new Date().getFullYear();
            const fiscalYear = `${currentYear}-${currentYear + 1}`; 

           
            if (!$('#year').val()) {
                $('#yearchange').text(fiscalYear); 
            }

           
           $('#year').change(function() {
                const selectedYear = $(this).val();
                // const fiscalSelectedYear = `${selectedYear}-${parseInt(selectedYear) + 1}`;
                const fiscalSelectedYear = `${selectedYear}`;
                $('#yearchange').text(fiscalSelectedYear);
            });
        });
    </script>






























<script>
    let arrow = document.querySelectorAll(".arrow");
    for (var i = 0; i < arrow.length; i++) {
        arrow[i].addEventListener("click", (e) => {
            let arrowParent = e.target.parentElement.parentElement;
            arrowParent.classList.toggle("showMenu");
        });
    }
    let sidebar = document.querySelector(".sidebar");
    let sidebarBtn = document.querySelector(".bx-menu");
    console.log(sidebarBtn);
    sidebarBtn.addEventListener("click", () => {
        sidebar.classList.toggle("close");
    });
</script>

<script>
        $(document).ready(function () {
        
        $.ajax({
            url: '<?php echo base_url("fetch-constituency"); ?>', 
            method: 'GET',
            success: function (response) {
                if (response.length > 0) {
                    var options = '<option value="">Select Constituency</option>'; 
                    $.each(response, function (key, value) {
                        options += `<option value="${value.id}">${value.constituency_name}</option>`;
                    });
                    $('#constituency').html(options); 
                } else {
                   console.log('No constituency found');
                }
            },
            error: function (xhr, status, error) {
                console.error("Error fetching constituency:", error);
            }
        });
        });
</script>

<script>
    $(document).ready(function () {
   
    $.ajax({
        url: '<?php echo base_url("fetch-department"); ?>', 
        method: 'GET',
        success: function (response) {
          
            if (response.length > 0) {
                var options = '<option value="">Select Department</option>'; 
               
                $.each(response, function (key, value) {
                    options += `<option value="${value.id}">${value.department_name}</option>`;
                });
                $('#department').html(options); 
            } else {
               console.log('No department found');
            }
        },
        error: function (xhr, status, error) {
            console.error("Error fetching department:", error);
        }
    });
});

</script>

<script>
        $(document).ready(function () {
        
        $.ajax({
            url: '<?php echo base_url("fetch-mla"); ?>', 
            method: 'GET',
            success: function (response) {
                if (response.length > 0) {
                    var options = '<option value="">Select </option>'; 
                    $.each(response, function (key, value) {
                        options += `<option value="${value.id}">${value.mla}</option>`;
                    });
                    $('#mla').html(options); 
                } else {
                   console.log('No mla found');
                }
            },
            error: function (xhr, status, error) {
                console.error("Error fetching mla:", error);
            }
        });
        });
</script>


<script>
    $(document).ready(function () {
   
    $.ajax({
        url: '<?php echo base_url("fetch-apm"); ?>', 
        method: 'GET',
        success: function (response) {
          
            if (response.length > 0) {
                var options = '<option value="">Select APM</option>'; 
               
                $.each(response, function (key, value) {
                    options += `<option value="${value.id}">${value.username}</option>`;
                });
                $('#apm').html(options); 
            } else {
               console.log('No apm found');
            }
        },
        error: function (xhr, status, error) {
            console.error("Error fetching apm:", error);
        }
    });
});
</script>

<script>
    $(document).ready(function () {
   
    $.ajax({
        url: '<?php echo base_url("fetch-engineer"); ?>', 
        method: 'GET',
        success: function (response) {
          
            if (response.length > 0) {
                var options = '<option value="">Select Engineer</option>'; 
               
                $.each(response, function (key, value) {
                    options += `<option value="${value.id}">${value.username}</option>`;
                });
                $('#Engineer').html(options); 
            } else {
               console.log('No Engineer found');
            }
        },
        error: function (xhr, status, error) {
            console.error("Error fetching engineer:", error);
        }
    });
});

</script>
<?php echo view('includes/footer'); ?>